pragma Style_Checks ("NM32766");
---------------------------------------------------
--  This file has been generated automatically from
--  /build/buildd-polyorb_2.6.0~20090423-10-s390-w2Na2W/polyorb-2.6.0~20090423/idls/CORBA_IDL/orb.idl
--  by IAC (IDL to Ada Compiler) 2.6.0w (Debian release 20090423-10).
---------------------------------------------------
--  Do NOT hand-modify this file, as your
--  changes will be lost when you re-run the
--  IDL to Ada compiler.
---------------------------------------------------
with CORBA;
pragma Elaborate_All (CORBA);
with CORBA.Repository_Root.InterfaceAttrExtension.Impl;
with CORBA.Repository_Root.InterfaceAttrExtension.Helper;
with PolyORB.Any;
with CORBA.ServerRequest;
with CORBA.NVList;
with CORBA.Helper;
with CORBA.Repository_Root.Helper;
with CORBA.Repository_Root.IDLType;
with CORBA.Object.Helper;
with CORBA.Object;
with CORBA.Repository_Root.IDLType.Helper;
with CORBA.Repository_Root;
with CORBA.Repository_Root.ExtAttributeDef;
with CORBA.Repository_Root.ExtAttributeDef.Helper;
with PolyORB.CORBA_P.IR_Hooks;
with PolyORB.CORBA_P.Domain_Management;
with PortableServer;
with PolyORB.Std;
with CORBA.ORB;
with PolyORB.CORBA_P.Exceptions;
with PolyORB.Qos.Exception_Informations;
with PolyORB.Utils.Strings;
with PolyORB.Utils.Strings.Lists;
with PolyORB.Initialization;

package body CORBA.Repository_Root.InterfaceAttrExtension.Skel is

   create_ext_attribute_Arg_Name_id_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("id");

   create_ext_attribute_Arg_Name_name_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("name");

   create_ext_attribute_Arg_Name_version_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("version");

   create_ext_attribute_Arg_Name_IDL_type_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("IDL_type");

   create_ext_attribute_Arg_Name_mode_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("mode");

   create_ext_attribute_Arg_Name_get_exceptions_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("get_exceptions");

   create_ext_attribute_Arg_Name_set_exceptions_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("set_exceptions");

   procedure Invoke
     (Self : PortableServer.Servant;
      Request : CORBA.ServerRequest.Object_Ptr);

   ------------
   -- Invoke --
   ------------

   procedure Invoke
     (Self : PortableServer.Servant;
      Request : CORBA.ServerRequest.Object_Ptr)
   is
      Operation_ : constant PolyORB.Std.String :=
        CORBA.To_Standard_String
           (CORBA.ServerRequest.Operation
              (Request.all));
      Argument_List_ : CORBA.NVList.Ref;
   begin
      CORBA.ORB.Create_List
        (0,
         Argument_List_);
      begin
         if (Operation_
            = "_is_a")
         then
            declare
               Type_Id_ : CORBA.String;
               Arg_Name_Type_Id_ : constant CORBA.Identifier :=
                 CORBA.To_CORBA_String
                    ("Type_Id_");
               Argument_Type_Id_ : constant CORBA.Any :=
                 CORBA.To_Any
                    (Type_Id_);
               Result_ : CORBA.Boolean;
            begin
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  Arg_Name_Type_Id_,
                  Argument_Type_Id_,
                  CORBA.ARG_IN);
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               Type_Id_ :=
                 CORBA.From_Any
                    (Argument_Type_Id_);
               Result_ :=
                 Is_A
                    (CORBA.To_Standard_String
                       (Type_Id_));
               CORBA.ServerRequest.Set_Result
                 (Request,
                  CORBA.To_Any
                    (Result_));
            end;
         elsif (Operation_
            = "describe_ext_interface")
         then
            declare
               Result_ : CORBA.Repository_Root.InterfaceAttrExtension.ExtFullInterfaceDescription;
               pragma Warnings (Off, Result_);
               Arg_CC_Result__ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Repository_Root.InterfaceAttrExtension.Helper.Internals.Wrap
                    (Result_'Unrestricted_Access);
               Arg_Any_Result__ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CORBA.Repository_Root.InterfaceAttrExtension.Helper.TC_ExtFullInterfaceDescription,
                     Arg_CC_Result__'Unchecked_Access);
            begin
               --  Processing request
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               --  Call Implementation
               Result_ :=
                 CORBA.Repository_Root.InterfaceAttrExtension.Impl.describe_ext_interface
                    (CORBA.Repository_Root.InterfaceAttrExtension.Impl.Object'Class
                       (Self.all)'Access);
               --  Setting the result
               CORBA.ServerRequest.Set_Result
                 (Request,
                  Arg_Any_Result__);
               CORBA.NVList.Internals.Clone_Out_Args
                 (Argument_List_);
            end;
         elsif (Operation_
            = "create_ext_attribute")
         then
            declare
               Argument_id_ : CORBA.RepositoryId;
               pragma Warnings (Off, Argument_id_);
               Arg_CC_id_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Wrap
                    (CORBA.String
                       (Argument_id_)'Unrestricted_Access);
               Arg_Any_id_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CORBA.Helper.TC_RepositoryId,
                     Arg_CC_id_'Unchecked_Access);
               Argument_name_ : CORBA.Identifier;
               pragma Warnings (Off, Argument_name_);
               Arg_CC_name_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Wrap
                    (CORBA.String
                       (Argument_name_)'Unrestricted_Access);
               Arg_Any_name_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CORBA.Helper.TC_Identifier,
                     Arg_CC_name_'Unchecked_Access);
               Argument_version_ : CORBA.Repository_Root.VersionSpec;
               pragma Warnings (Off, Argument_version_);
               Arg_CC_version_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Wrap
                    (CORBA.String
                       (Argument_version_)'Unrestricted_Access);
               Arg_Any_version_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CORBA.Repository_Root.Helper.TC_VersionSpec,
                     Arg_CC_version_'Unchecked_Access);
               Argument_IDL_type_ : CORBA.Repository_Root.IDLType.Ref;
               pragma Warnings (Off, Argument_IDL_type_);
               Arg_CC_IDL_type_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Object.Helper.Wrap
                    (CORBA.Object.Ref
                       (Argument_IDL_type_)'Unrestricted_Access);
               Arg_Any_IDL_type_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CORBA.Repository_Root.IDLType.Helper.TC_IDLType,
                     Arg_CC_IDL_type_'Unchecked_Access);
               Argument_mode_ : CORBA.Repository_Root.AttributeMode;
               pragma Warnings (Off, Argument_mode_);
               Arg_CC_mode_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Repository_Root.Helper.Internals.Wrap
                    (Argument_mode_'Unrestricted_Access);
               Arg_Any_mode_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CORBA.Repository_Root.Helper.TC_AttributeMode,
                     Arg_CC_mode_'Unchecked_Access);
               Argument_get_exceptions_ : CORBA.Repository_Root.ExceptionDefSeq;
               pragma Warnings (Off, Argument_get_exceptions_);
               Arg_CC_get_exceptions_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Repository_Root.Helper.Internals.Wrap
                    (CORBA.Repository_Root.IDL_SEQUENCE_CORBA_ExceptionDef_Forward.Sequence
                       (Argument_get_exceptions_)'Unrestricted_Access);
               Arg_Any_get_exceptions_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CORBA.Repository_Root.Helper.TC_ExceptionDefSeq,
                     Arg_CC_get_exceptions_'Unchecked_Access);
               Argument_set_exceptions_ : CORBA.Repository_Root.ExceptionDefSeq;
               pragma Warnings (Off, Argument_set_exceptions_);
               Arg_CC_set_exceptions_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Repository_Root.Helper.Internals.Wrap
                    (CORBA.Repository_Root.IDL_SEQUENCE_CORBA_ExceptionDef_Forward.Sequence
                       (Argument_set_exceptions_)'Unrestricted_Access);
               Arg_Any_set_exceptions_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CORBA.Repository_Root.Helper.TC_ExceptionDefSeq,
                     Arg_CC_set_exceptions_'Unchecked_Access);
               Result_ : CORBA.Repository_Root.ExtAttributeDef.Ref;
               pragma Warnings (Off, Result_);
               Arg_CC_Result__ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Object.Helper.Wrap
                    (CORBA.Object.Ref
                       (Result_)'Unrestricted_Access);
               Arg_Any_Result__ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CORBA.Repository_Root.ExtAttributeDef.Helper.TC_ExtAttributeDef,
                     Arg_CC_Result__'Unchecked_Access);
            begin
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  create_ext_attribute_Arg_Name_id_,
                  Arg_Any_id_,
                  CORBA.ARG_IN);
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  create_ext_attribute_Arg_Name_name_,
                  Arg_Any_name_,
                  CORBA.ARG_IN);
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  create_ext_attribute_Arg_Name_version_,
                  Arg_Any_version_,
                  CORBA.ARG_IN);
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  create_ext_attribute_Arg_Name_IDL_type_,
                  Arg_Any_IDL_type_,
                  CORBA.ARG_IN);
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  create_ext_attribute_Arg_Name_mode_,
                  Arg_Any_mode_,
                  CORBA.ARG_IN);
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  create_ext_attribute_Arg_Name_get_exceptions_,
                  Arg_Any_get_exceptions_,
                  CORBA.ARG_IN);
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  create_ext_attribute_Arg_Name_set_exceptions_,
                  Arg_Any_set_exceptions_,
                  CORBA.ARG_IN);
               --  Processing request
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               --  Call Implementation
               Result_ :=
                 CORBA.Repository_Root.InterfaceAttrExtension.Impl.create_ext_attribute
                    (CORBA.Repository_Root.InterfaceAttrExtension.Impl.Object'Class
                       (Self.all)'Access,
                     Argument_id_,
                     Argument_name_,
                     Argument_version_,
                     Argument_IDL_type_,
                     Argument_mode_,
                     Argument_get_exceptions_,
                     Argument_set_exceptions_);
               --  Setting the result
               CORBA.ServerRequest.Set_Result
                 (Request,
                  Arg_Any_Result__);
               CORBA.NVList.Internals.Clone_Out_Args
                 (Argument_List_);
            end;
         elsif (Operation_
            = "_interface")
         then
            CORBA.ServerRequest.Arguments
              (Request,
               Argument_List_);
            CORBA.ServerRequest.Set_Result
              (Request,
               CORBA.Object.Helper.To_Any
                 (CORBA.Object.Ref
                    (PolyORB.CORBA_P.IR_Hooks.Get_Interface_Definition
                       (CORBA.To_CORBA_String
                          (Repository_Id)))));

         elsif (Operation_
            = "_domain_managers")
         then
            CORBA.ServerRequest.Arguments
              (Request,
               Argument_List_);
            CORBA.ServerRequest.Set_Result
              (Request,
               PolyORB.CORBA_P.Domain_Management.Get_Domain_Managers
                 (Self));

         elsif ((Operation_
            = "_non_existent")
            or else (Operation_
               = "_non_existent"))
         then
            CORBA.ServerRequest.Arguments
              (Request,
               Argument_List_);
            CORBA.ServerRequest.Set_Result
              (Request,
               CORBA.To_Any
                 (CORBA.Boolean'
                    (False)));

         else
            CORBA.Raise_Bad_Operation
              (CORBA.Default_Sys_Member);
         end if;
      exception
         when E : others =>
            CORBA.ServerRequest.Set_Exception
              (Request,
               PolyORB.CORBA_P.Exceptions.System_Exception_To_Any
                 (E));
            PolyORB.Qos.Exception_Informations.Set_Exception_Information
              (Request,
               E);
      end;
   end Invoke;

   function Servant_Is_A
     (Obj : PortableServer.Servant)
     return Boolean;

   ------------------
   -- Servant_Is_A --
   ------------------

   function Servant_Is_A
     (Obj : PortableServer.Servant)
     return Boolean
   is
   begin
      return (Obj.all
         in CORBA.Repository_Root.InterfaceAttrExtension.Impl.Object'Class);
   end Servant_Is_A;

   -----------------------------
   -- Deferred_Initialization --
   -----------------------------

   procedure Deferred_Initialization is
   begin
      PortableServer.Internals.Register_Skeleton
        (CORBA.Repository_Root.InterfaceAttrExtension.Repository_Id,
         Servant_Is_A'Access,
         Is_A'Access,
         Invoke'Access);
   end Deferred_Initialization;

begin
   declare
      use PolyORB.Utils.Strings;
      use PolyORB.Utils.Strings.Lists;
   begin
      PolyORB.Initialization.Register_Module
        (PolyORB.Initialization.Module_Info'
           (Name => +"CORBA.Repository_Root.InterfaceAttrExtension.Skel",
            Conflicts => PolyORB.Utils.Strings.Lists.Empty,
            Depends => PolyORB.Utils.Strings.Lists.Empty,
            Provides => PolyORB.Utils.Strings.Lists.Empty,
            Implicit => False,
            Init => Deferred_Initialization'Access,
            Shutdown => null));
   end;
end CORBA.Repository_Root.InterfaceAttrExtension.Skel;
