pragma Style_Checks ("NM32766");
---------------------------------------------------
--  This file has been generated automatically from
--  /build/buildd-polyorb_2.6.0~20090423-10-s390-w2Na2W/polyorb-2.6.0~20090423/idls/cos/time/CosTime.idl
--  by IAC (IDL to Ada Compiler) 2.6.0w (Debian release 20090423-10).
---------------------------------------------------
--  Do NOT hand-modify this file, as your
--  changes will be lost when you re-run the
--  IDL to Ada compiler.
---------------------------------------------------
with CosTime.TIO.Impl;
with TimeBase;
with TimeBase.Helper;
with PolyORB.Any;
with CORBA;
pragma Elaborate_All (CORBA);
with CORBA.ServerRequest;
with CORBA.NVList;
with CosTime.UTO;
with CORBA.Object.Helper;
with CORBA.Object;
with CosTime.UTO.Helper;
with CosTime.TIO.Helper;
with CosTime.Helper;
with PolyORB.CORBA_P.IR_Hooks;
with PolyORB.CORBA_P.Domain_Management;
with PortableServer;
with PolyORB.Std;
with CORBA.ORB;
with PolyORB.CORBA_P.Exceptions;
with PolyORB.Qos.Exception_Informations;
with PolyORB.Utils.Strings;
with PolyORB.Utils.Strings.Lists;
with PolyORB.Initialization;

package body CosTime.TIO.Skel is

   spans_Arg_Name_time_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("time");

   spans_Arg_Name_overlap_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("overlap");

   overlaps_Arg_Name_interval_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("interval");

   overlaps_Arg_Name_overlap_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("overlap");

   procedure Invoke
     (Self : PortableServer.Servant;
      Request : CORBA.ServerRequest.Object_Ptr);

   ------------
   -- Invoke --
   ------------

   procedure Invoke
     (Self : PortableServer.Servant;
      Request : CORBA.ServerRequest.Object_Ptr)
   is
      Operation_ : constant PolyORB.Std.String :=
        CORBA.To_Standard_String
           (CORBA.ServerRequest.Operation
              (Request.all));
      Argument_List_ : CORBA.NVList.Ref;
   begin
      CORBA.ORB.Create_List
        (0,
         Argument_List_);
      begin
         if (Operation_
            = "_is_a")
         then
            declare
               Type_Id_ : CORBA.String;
               Arg_Name_Type_Id_ : constant CORBA.Identifier :=
                 CORBA.To_CORBA_String
                    ("Type_Id_");
               Argument_Type_Id_ : constant CORBA.Any :=
                 CORBA.To_Any
                    (Type_Id_);
               Result_ : CORBA.Boolean;
            begin
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  Arg_Name_Type_Id_,
                  Argument_Type_Id_,
                  CORBA.ARG_IN);
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               Type_Id_ :=
                 CORBA.From_Any
                    (Argument_Type_Id_);
               Result_ :=
                 Is_A
                    (CORBA.To_Standard_String
                       (Type_Id_));
               CORBA.ServerRequest.Set_Result
                 (Request,
                  CORBA.To_Any
                    (Result_));
            end;
         elsif (Operation_
            = "_Get_time_interval")
         then
            declare
               Result_ : TimeBase.IntervalT;
               pragma Warnings (Off, Result_);
               Arg_CC_Result__ : aliased PolyORB.Any.Content'Class :=
                 TimeBase.Helper.Internals.Wrap
                    (Result_'Unrestricted_Access);
               Arg_Any_Result__ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (TimeBase.Helper.TC_IntervalT,
                     Arg_CC_Result__'Unchecked_Access);
            begin
               --  Processing request
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               --  Call Implementation
               Result_ :=
                 CosTime.TIO.Impl.Get_time_interval
                    (CosTime.TIO.Impl.Object'Class
                       (Self.all)'Access);
               --  Setting the result
               CORBA.ServerRequest.Set_Result
                 (Request,
                  Arg_Any_Result__);
               CORBA.NVList.Internals.Clone_Out_Args
                 (Argument_List_);
            end;
         elsif (Operation_
            = "spans")
         then
            declare
               Argument_time_ : CosTime.UTO.Ref;
               pragma Warnings (Off, Argument_time_);
               Arg_CC_time_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Object.Helper.Wrap
                    (CORBA.Object.Ref
                       (Argument_time_)'Unrestricted_Access);
               Arg_Any_time_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosTime.UTO.Helper.TC_UTO,
                     Arg_CC_time_'Unchecked_Access);
               Argument_overlap_ : CosTime.TIO.Ref;
               pragma Warnings (Off, Argument_overlap_);
               Arg_CC_overlap_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Object.Helper.Wrap
                    (CORBA.Object.Ref
                       (Argument_overlap_)'Unrestricted_Access);
               Arg_Any_overlap_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosTime.TIO.Helper.TC_TIO,
                     Arg_CC_overlap_'Unchecked_Access);
               Result_ : CosTime.OverlapType;
               pragma Warnings (Off, Result_);
               Arg_CC_Result__ : aliased PolyORB.Any.Content'Class :=
                 CosTime.Helper.Internals.Wrap
                    (Result_'Unrestricted_Access);
               Arg_Any_Result__ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosTime.Helper.TC_OverlapType,
                     Arg_CC_Result__'Unchecked_Access);
            begin
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  spans_Arg_Name_time_,
                  Arg_Any_time_,
                  CORBA.ARG_IN);
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  spans_Arg_Name_overlap_,
                  Arg_Any_overlap_,
                  CORBA.ARG_OUT);
               --  Processing request
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               --  Call Implementation
               CosTime.TIO.Impl.spans
                 (CosTime.TIO.Impl.Object'Class
                    (Self.all)'Access,
                  Argument_time_,
                  Argument_overlap_,
                  Result_);
               --  Setting the result
               CORBA.ServerRequest.Set_Result
                 (Request,
                  Arg_Any_Result__);
               CORBA.NVList.Internals.Clone_Out_Args
                 (Argument_List_);
            end;
         elsif (Operation_
            = "overlaps")
         then
            declare
               Argument_interval_ : CosTime.TIO.Ref;
               pragma Warnings (Off, Argument_interval_);
               Arg_CC_interval_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Object.Helper.Wrap
                    (CORBA.Object.Ref
                       (Argument_interval_)'Unrestricted_Access);
               Arg_Any_interval_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosTime.TIO.Helper.TC_TIO,
                     Arg_CC_interval_'Unchecked_Access);
               Argument_overlap_ : CosTime.TIO.Ref;
               pragma Warnings (Off, Argument_overlap_);
               Arg_CC_overlap_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Object.Helper.Wrap
                    (CORBA.Object.Ref
                       (Argument_overlap_)'Unrestricted_Access);
               Arg_Any_overlap_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosTime.TIO.Helper.TC_TIO,
                     Arg_CC_overlap_'Unchecked_Access);
               Result_ : CosTime.OverlapType;
               pragma Warnings (Off, Result_);
               Arg_CC_Result__ : aliased PolyORB.Any.Content'Class :=
                 CosTime.Helper.Internals.Wrap
                    (Result_'Unrestricted_Access);
               Arg_Any_Result__ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosTime.Helper.TC_OverlapType,
                     Arg_CC_Result__'Unchecked_Access);
            begin
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  overlaps_Arg_Name_interval_,
                  Arg_Any_interval_,
                  CORBA.ARG_IN);
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  overlaps_Arg_Name_overlap_,
                  Arg_Any_overlap_,
                  CORBA.ARG_OUT);
               --  Processing request
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               --  Call Implementation
               CosTime.TIO.Impl.overlaps
                 (CosTime.TIO.Impl.Object'Class
                    (Self.all)'Access,
                  Argument_interval_,
                  Argument_overlap_,
                  Result_);
               --  Setting the result
               CORBA.ServerRequest.Set_Result
                 (Request,
                  Arg_Any_Result__);
               CORBA.NVList.Internals.Clone_Out_Args
                 (Argument_List_);
            end;
         elsif (Operation_
            = "time")
         then
            declare
               Result_ : CosTime.UTO.Ref;
               pragma Warnings (Off, Result_);
               Arg_CC_Result__ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Object.Helper.Wrap
                    (CORBA.Object.Ref
                       (Result_)'Unrestricted_Access);
               Arg_Any_Result__ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosTime.UTO.Helper.TC_UTO,
                     Arg_CC_Result__'Unchecked_Access);
            begin
               --  Processing request
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               --  Call Implementation
               Result_ :=
                 CosTime.TIO.Impl.time
                    (CosTime.TIO.Impl.Object'Class
                       (Self.all)'Access);
               --  Setting the result
               CORBA.ServerRequest.Set_Result
                 (Request,
                  Arg_Any_Result__);
               CORBA.NVList.Internals.Clone_Out_Args
                 (Argument_List_);
            end;
         elsif (Operation_
            = "_interface")
         then
            CORBA.ServerRequest.Arguments
              (Request,
               Argument_List_);
            CORBA.ServerRequest.Set_Result
              (Request,
               CORBA.Object.Helper.To_Any
                 (CORBA.Object.Ref
                    (PolyORB.CORBA_P.IR_Hooks.Get_Interface_Definition
                       (CORBA.To_CORBA_String
                          (Repository_Id)))));

         elsif (Operation_
            = "_domain_managers")
         then
            CORBA.ServerRequest.Arguments
              (Request,
               Argument_List_);
            CORBA.ServerRequest.Set_Result
              (Request,
               PolyORB.CORBA_P.Domain_Management.Get_Domain_Managers
                 (Self));

         elsif ((Operation_
            = "_non_existent")
            or else (Operation_
               = "_non_existent"))
         then
            CORBA.ServerRequest.Arguments
              (Request,
               Argument_List_);
            CORBA.ServerRequest.Set_Result
              (Request,
               CORBA.To_Any
                 (CORBA.Boolean'
                    (False)));

         else
            CORBA.Raise_Bad_Operation
              (CORBA.Default_Sys_Member);
         end if;
      exception
         when E : others =>
            CORBA.ServerRequest.Set_Exception
              (Request,
               PolyORB.CORBA_P.Exceptions.System_Exception_To_Any
                 (E));
            PolyORB.Qos.Exception_Informations.Set_Exception_Information
              (Request,
               E);
      end;
   end Invoke;

   function Servant_Is_A
     (Obj : PortableServer.Servant)
     return Boolean;

   ------------------
   -- Servant_Is_A --
   ------------------

   function Servant_Is_A
     (Obj : PortableServer.Servant)
     return Boolean
   is
   begin
      return (Obj.all
         in CosTime.TIO.Impl.Object'Class);
   end Servant_Is_A;

   -----------------------------
   -- Deferred_Initialization --
   -----------------------------

   procedure Deferred_Initialization is
   begin
      PortableServer.Internals.Register_Skeleton
        (CosTime.TIO.Repository_Id,
         Servant_Is_A'Access,
         Is_A'Access,
         Invoke'Access);
   end Deferred_Initialization;

begin
   declare
      use PolyORB.Utils.Strings;
      use PolyORB.Utils.Strings.Lists;
   begin
      PolyORB.Initialization.Register_Module
        (PolyORB.Initialization.Module_Info'
           (Name => +"CosTime.TIO.Skel",
            Conflicts => PolyORB.Utils.Strings.Lists.Empty,
            Depends => PolyORB.Utils.Strings.Lists.Empty,
            Provides => PolyORB.Utils.Strings.Lists.Empty,
            Implicit => False,
            Init => Deferred_Initialization'Access,
            Shutdown => null));
   end;
end CosTime.TIO.Skel;
