pragma Style_Checks ("NM32766");
---------------------------------------------------
--  This file has been generated automatically from
--  /build/buildd-polyorb_2.6.0~20090423-10-s390-w2Na2W/polyorb-2.6.0~20090423/idls/Interop/CSI.idl
--  by IAC (IDL to Ada Compiler) 2.6.0w (Debian release 20090423-10).
---------------------------------------------------
--  Do NOT hand-modify this file, as your
--  changes will be lost when you re-run the
--  IDL to Ada compiler.
---------------------------------------------------
with PolyORB.Std;
with CORBA;
pragma Elaborate_All (CORBA);
with CORBA.Sequences.Unbounded;

package CSI is

   Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI:1.0";

   OMGVMCID : constant CORBA.Unsigned_Long :=
     16#4F4D0#;

   package IDL_SEQUENCE_octet is
     new CORBA.Sequences.Unbounded
        (CORBA.Octet);

   type X509CertificateChain is
     new CSI.IDL_SEQUENCE_octet.Sequence;

   X509CertificateChain_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/X509CertificateChain:1.0";

   package IDL_SEQUENCE_octet_1 is
     new CORBA.Sequences.Unbounded
        (CORBA.Octet);

   type X501DistinguishedName is
     new CSI.IDL_SEQUENCE_octet_1.Sequence;

   X501DistinguishedName_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/X501DistinguishedName:1.0";

   package IDL_SEQUENCE_octet_2 is
     new CORBA.Sequences.Unbounded
        (CORBA.Octet);

   type UTF8String is
     new CSI.IDL_SEQUENCE_octet_2.Sequence;

   UTF8String_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/UTF8String:1.0";

   package IDL_SEQUENCE_octet_3 is
     new CORBA.Sequences.Unbounded
        (CORBA.Octet);

   type OID is
     new CSI.IDL_SEQUENCE_octet_3.Sequence;

   OID_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/OID:1.0";

   package IDL_SEQUENCE_CSI_OID is
     new CORBA.Sequences.Unbounded
        (CSI.OID);

   type OIDList is
     new CSI.IDL_SEQUENCE_CSI_OID.Sequence;

   OIDList_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/OIDList:1.0";

   package IDL_SEQUENCE_octet_4 is
     new CORBA.Sequences.Unbounded
        (CORBA.Octet);

   type GSSToken is
     new CSI.IDL_SEQUENCE_octet_4.Sequence;

   GSSToken_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/GSSToken:1.0";

   package IDL_SEQUENCE_octet_5 is
     new CORBA.Sequences.Unbounded
        (CORBA.Octet);

   type GSS_NT_ExportedName is
     new CSI.IDL_SEQUENCE_octet_5.Sequence;

   GSS_NT_ExportedName_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/GSS_NT_ExportedName:1.0";

   package IDL_SEQUENCE_CSI_GSS_NT_ExportedName is
     new CORBA.Sequences.Unbounded
        (CSI.GSS_NT_ExportedName);

   type GSS_NT_ExportedNameList is
     new CSI.IDL_SEQUENCE_CSI_GSS_NT_ExportedName.Sequence;

   GSS_NT_ExportedNameList_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/GSS_NT_ExportedNameList:1.0";

   type MsgType is
     new CORBA.Short;

   MsgType_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/MsgType:1.0";

   MTEstablishContext : constant CSI.MsgType :=
     0;

   MTCompleteEstablishContext : constant CSI.MsgType :=
     1;

   MTContextError : constant CSI.MsgType :=
     4;

   MTMessageInContext : constant CSI.MsgType :=
     5;

   type ContextId is
     new CORBA.Unsigned_Long_Long;

   ContextId_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/ContextId:1.0";

   type AuthorizationElementType is
     new CORBA.Unsigned_Long;

   AuthorizationElementType_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/AuthorizationElementType:1.0";

   X509AttributeCertChain : constant CSI.AuthorizationElementType :=
     324817;

   package IDL_SEQUENCE_octet_6 is
     new CORBA.Sequences.Unbounded
        (CORBA.Octet);

   type AuthorizationElementContents is
     new CSI.IDL_SEQUENCE_octet_6.Sequence;

   AuthorizationElementContents_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/AuthorizationElementContents:1.0";

   type AuthorizationElement is
     record
         the_type : CSI.AuthorizationElementType;
         the_element : CSI.AuthorizationElementContents;
      end record;

   AuthorizationElement_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/AuthorizationElement:1.0";

   package IDL_SEQUENCE_CSI_AuthorizationElement is
     new CORBA.Sequences.Unbounded
        (CSI.AuthorizationElement);

   type AuthorizationToken is
     new CSI.IDL_SEQUENCE_CSI_AuthorizationElement.Sequence;

   AuthorizationToken_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/AuthorizationToken:1.0";

   type IdentityTokenType is
     new CORBA.Unsigned_Long;

   IdentityTokenType_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/IdentityTokenType:1.0";

   ITTAbsent : constant CSI.IdentityTokenType :=
     0;

   ITTAnonymous : constant CSI.IdentityTokenType :=
     1;

   ITTPrincipalName : constant CSI.IdentityTokenType :=
     2;

   ITTX509CertChain : constant CSI.IdentityTokenType :=
     4;

   ITTDistinguishedName : constant CSI.IdentityTokenType :=
     8;

   package IDL_SEQUENCE_octet_7 is
     new CORBA.Sequences.Unbounded
        (CORBA.Octet);

   type IdentityExtension is
     new CSI.IDL_SEQUENCE_octet_7.Sequence;

   IdentityExtension_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/IdentityExtension:1.0";

   type IdentityToken
     (Switch : CSI.IdentityTokenType := CSI.IdentityTokenType'First)
   is
     record
         case Switch is
            when 0 =>
               absent : CORBA.Boolean;
            when 1 =>
               anonymous : CORBA.Boolean;
            when 2 =>
               principal_name : CSI.GSS_NT_ExportedName;
            when 4 =>
               certificate_chain : CSI.X509CertificateChain;
            when 8 =>
               dn : CSI.X501DistinguishedName;
            when others =>
               id : CSI.IdentityExtension;
         end case;
      end record;

   IdentityToken_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/IdentityToken:1.0";

   type EstablishContext is
     record
         client_context_id : CSI.ContextId;
         authorization_token : CSI.AuthorizationToken;
         identity_token : CSI.IdentityToken;
         client_authentication_token : CSI.GSSToken;
      end record;

   EstablishContext_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/EstablishContext:1.0";

   type CompleteEstablishContext is
     record
         client_context_id : CSI.ContextId;
         context_stateful : CORBA.Boolean;
         final_context_token : CSI.GSSToken;
      end record;

   CompleteEstablishContext_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/CompleteEstablishContext:1.0";

   type ContextError is
     record
         client_context_id : CSI.ContextId;
         major_status : CORBA.Long;
         minor_status : CORBA.Long;
         error_token : CSI.GSSToken;
      end record;

   ContextError_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/ContextError:1.0";

   type MessageInContext is
     record
         client_context_id : CSI.ContextId;
         discard_context : CORBA.Boolean;
      end record;

   MessageInContext_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/MessageInContext:1.0";

   type SASContextBody
     (Switch : CSI.MsgType := CSI.MsgType'First)
   is
     record
         case Switch is
            when 0 =>
               establish_msg : CSI.EstablishContext;
            when 1 =>
               complete_msg : CSI.CompleteEstablishContext;
            when 4 =>
               error_msg : CSI.ContextError;
            when 5 =>
               in_context_msg : CSI.MessageInContext;
            pragma Warnings (Off);
            when others =>
               null;
            pragma Warnings (On);
         end case;
      end record;

   SASContextBody_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/SASContextBody:1.0";

   type StringOID is
     new CORBA.String;

   StringOID_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSI/StringOID:1.0";

   KRB5MechOID : constant CSI.StringOID :=
     CSI.To_CORBA_String
        ("oid:1.2.840.113554.1.2.2");

   GSS_NT_Export_Name_OID : constant CSI.StringOID :=
     CSI.To_CORBA_String
        ("oid:1.3.6.1.5.6.4");

   GSS_NT_Scoped_Username_OID : constant CSI.StringOID :=
     CSI.To_CORBA_String
        ("oid:2.23.130.1.2.1");

end CSI;
