pragma Style_Checks ("NM32766");
---------------------------------------------------
--  This file has been generated automatically from
--  /build/buildd-polyorb_2.6.0~20090423-10-s390-w2Na2W/polyorb-2.6.0~20090423/idls/Interop/IOP.idl
--  by IAC (IDL to Ada Compiler) 2.6.0w (Debian release 20090423-10).
---------------------------------------------------
--  Do NOT hand-modify this file, as your
--  changes will be lost when you re-run the
--  IDL to Ada compiler.
---------------------------------------------------
with PolyORB.Std;
with CORBA;
pragma Elaborate_All (CORBA);
with CORBA.IDL_Sequences;
with CORBA.Sequences.Unbounded;

package IOP is

   Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP:1.0";

   type ProfileId is
     new CORBA.Unsigned_Long;

   ProfileId_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/ProfileId:1.0";

   TAG_INTERNET_IOP : constant IOP.ProfileId :=
     0;

   TAG_MULTIPLE_COMPONENTS : constant IOP.ProfileId :=
     1;

   TAG_SCCP_IOP : constant IOP.ProfileId :=
     2;

   type ProfileData is
     new CORBA.IDL_Sequences.OctetSeq;

   ProfileData_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/ProfileData:1.0";

   type TaggedProfile is
     record
         tag : IOP.ProfileId;
         profile_data : IOP.ProfileData;
      end record;

   TaggedProfile_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/TaggedProfile:1.0";

   package IDL_SEQUENCE_IOP_TaggedProfile is
     new CORBA.Sequences.Unbounded
        (IOP.TaggedProfile);

   type TaggedProfileSeq is
     new IOP.IDL_SEQUENCE_IOP_TaggedProfile.Sequence;

   TaggedProfileSeq_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/TaggedProfileSeq:1.0";

   type IOR is
     record
         type_id : CORBA.String;
         profiles : IOP.TaggedProfileSeq;
      end record;

   IOR_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/IOR:1.0";

   type ComponentId is
     new CORBA.Unsigned_Long;

   ComponentId_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/ComponentId:1.0";

   type ComponentData is
     new CORBA.IDL_Sequences.OctetSeq;

   ComponentData_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/ComponentData:1.0";

   type TaggedComponent is
     record
         tag : IOP.ComponentId;
         component_data : IOP.ComponentData;
      end record;

   TaggedComponent_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/TaggedComponent:1.0";

   package IDL_SEQUENCE_IOP_TaggedComponent is
     new CORBA.Sequences.Unbounded
        (IOP.TaggedComponent);

   type TaggedComponentSeq is
     new IOP.IDL_SEQUENCE_IOP_TaggedComponent.Sequence;

   TaggedComponentSeq_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/TaggedComponentSeq:1.0";

   type ObjectKey is
     new CORBA.IDL_Sequences.OctetSeq;

   ObjectKey_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/ObjectKey:1.0";

   package IDL_SEQUENCE_IOP_TaggedComponent_1 is
     new CORBA.Sequences.Unbounded
        (IOP.TaggedComponent);

   type MultipleComponentProfile is
     new IOP.IDL_SEQUENCE_IOP_TaggedComponent_1.Sequence;

   MultipleComponentProfile_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/MultipleComponentProfile:1.0";

   TAG_ORB_TYPE : constant IOP.ComponentId :=
     0;

   TAG_CODE_SETS : constant IOP.ComponentId :=
     1;

   TAG_POLICIES : constant IOP.ComponentId :=
     2;

   TAG_ALTERNATE_IIOP_ADDRESS : constant IOP.ComponentId :=
     3;

   TAG_ASSOCIATION_OPTIONS : constant IOP.ComponentId :=
     13;

   TAG_SEC_NAME : constant IOP.ComponentId :=
     14;

   TAG_SPKM_1_SEC_MECH : constant IOP.ComponentId :=
     15;

   TAG_SPKM_2_SEC_MECH : constant IOP.ComponentId :=
     16;

   TAG_KerberosV5_SEC_MECH : constant IOP.ComponentId :=
     17;

   TAG_CSI_ECMA_Secret_SEC_MECH : constant IOP.ComponentId :=
     18;

   TAG_CSI_ECMA_Hybrid_SEC_MECH : constant IOP.ComponentId :=
     19;

   TAG_SSL_SEC_TRANS : constant IOP.ComponentId :=
     20;

   TAG_CSI_ECMA_Public_SEC_MECH : constant IOP.ComponentId :=
     21;

   TAG_GENERIC_SEC_MECH : constant IOP.ComponentId :=
     22;

   TAG_FIREWALL_TRANS : constant IOP.ComponentId :=
     23;

   TAG_SCCP_CONTACT_INFO : constant IOP.ComponentId :=
     24;

   TAG_JAVA_CODEBASE : constant IOP.ComponentId :=
     25;

   TAG_TRANSACTION_POLICY : constant IOP.ComponentId :=
     26;

   TAG_MESSAGE_ROUTER : constant IOP.ComponentId :=
     30;

   TAG_OTS_POLICY : constant IOP.ComponentId :=
     31;

   TAG_INV_POLICY : constant IOP.ComponentId :=
     32;

   TAG_CSI_SEC_MECH_LIST : constant IOP.ComponentId :=
     33;

   TAG_NULL_TAG : constant IOP.ComponentId :=
     34;

   TAG_SECIOP_SEC_TRANS : constant IOP.ComponentId :=
     35;

   TAG_TLS_SEC_TRANS : constant IOP.ComponentId :=
     36;

   TAG_ACTIVITY_POLICY : constant IOP.ComponentId :=
     37;

   TAG_COMPLETE_OBJECT_KEY : constant IOP.ComponentId :=
     5;

   TAG_ENDPOINT_ID_POSITION : constant IOP.ComponentId :=
     6;

   TAG_LOCATION_POLICY : constant IOP.ComponentId :=
     12;

   TAG_DCE_STRING_BINDING : constant IOP.ComponentId :=
     100;

   TAG_DCE_BINDING_NAME : constant IOP.ComponentId :=
     101;

   TAG_DCE_NO_PIPES : constant IOP.ComponentId :=
     102;

   TAG_DCE_SEC_MECH : constant IOP.ComponentId :=
     103;

   TAG_INET_SEC_TRANS : constant IOP.ComponentId :=
     123;

   type ContextData is
     new CORBA.IDL_Sequences.OctetSeq;

   ContextData_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/ContextData:1.0";

   type ServiceId is
     new CORBA.Unsigned_Long;

   ServiceId_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/ServiceId:1.0";

   type ServiceContext is
     record
         context_id : IOP.ServiceId;
         context_data : IOP.ContextData;
      end record;

   ServiceContext_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/ServiceContext:1.0";

   package IDL_SEQUENCE_IOP_ServiceContext is
     new CORBA.Sequences.Unbounded
        (IOP.ServiceContext);

   type ServiceContextList is
     new IOP.IDL_SEQUENCE_IOP_ServiceContext.Sequence;

   ServiceContextList_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/ServiceContextList:1.0";

   TransactionService : constant IOP.ServiceId :=
     0;

   CodeSets : constant IOP.ServiceId :=
     1;

   ChainBypassCheck : constant IOP.ServiceId :=
     2;

   ChainBypassInfo : constant IOP.ServiceId :=
     3;

   LogicalThreadId : constant IOP.ServiceId :=
     4;

   BI_DIR_IIOP : constant IOP.ServiceId :=
     5;

   SendingContextRunTime : constant IOP.ServiceId :=
     6;

   INVOCATION_POLICIES : constant IOP.ServiceId :=
     7;

   FORWARDED_IDENTITY : constant IOP.ServiceId :=
     8;

   UnknownExceptionInfo : constant IOP.ServiceId :=
     9;

   RTCorbaPriority : constant IOP.ServiceId :=
     10;

   RTCorbaPriorityRange : constant IOP.ServiceId :=
     11;

   FT_GROUP_VERSION : constant IOP.ServiceId :=
     12;

   FT_REQUEST : constant IOP.ServiceId :=
     13;

   ExceptionDetailMessage : constant IOP.ServiceId :=
     14;

   SecurityAttributeService : constant IOP.ServiceId :=
     15;

   ActivityService : constant IOP.ServiceId :=
     16;

   type EncodingFormat is
     new CORBA.Short;

   EncodingFormat_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/EncodingFormat:1.0";

   ENCODING_CDR_ENCAPS : constant IOP.EncodingFormat :=
     0;

   type Encoding is
     record
         format : IOP.EncodingFormat;
         major_version : CORBA.Octet;
         minor_version : CORBA.Octet;
      end record;

   Encoding_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/IOP/Encoding:1.0";

end IOP;
