pragma Style_Checks ("NM32766");
---------------------------------------------------
--  This file has been generated automatically from
--  /build/buildd-polyorb_2.6.0~20090423-10-s390-w2Na2W/polyorb-2.6.0~20090423/idls/Misc/PortableInterceptor.idl
--  by IAC (IDL to Ada Compiler) 2.6.0w (Debian release 20090423-10).
---------------------------------------------------
--  Do NOT hand-modify this file, as your
--  changes will be lost when you re-run the
--  IDL to Ada compiler.
---------------------------------------------------
with PolyORB.Std;
with CORBA;
pragma Elaborate_All (CORBA);
with CORBA.Object;
with Ada.Exceptions;
with CORBA.IDL_Sequences;

package PortableInterceptor is

   Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/PortableInterceptor:1.0";

   ForwardRequest : exception;

   type ForwardRequest_Members is
     new CORBA.Idl_Exception_Members with record
         forward : CORBA.Object.Ref;
      end record;

   ForwardRequest_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/PortableInterceptor/ForwardRequest:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out PortableInterceptor.ForwardRequest_Members);

   type ReplyStatus is
     new CORBA.Short;

   ReplyStatus_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/PortableInterceptor/ReplyStatus:1.0";

   SUCCESSFUL : constant PortableInterceptor.ReplyStatus :=
     0;

   SYSTEM_EXCEPTION : constant PortableInterceptor.ReplyStatus :=
     1;

   USER_EXCEPTION : constant PortableInterceptor.ReplyStatus :=
     2;

   LOCATION_FORWARD : constant PortableInterceptor.ReplyStatus :=
     3;

   TRANSPORT_RETRY : constant PortableInterceptor.ReplyStatus :=
     4;

   UNKNOWN : constant PortableInterceptor.ReplyStatus :=
     5;

   type SlotId is
     new CORBA.Unsigned_Long;

   SlotId_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/PortableInterceptor/SlotId:1.0";

   InvalidSlot : exception;

   type InvalidSlot_Members is
     new CORBA.Idl_Exception_Members with null record;

   InvalidSlot_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/PortableInterceptor/InvalidSlot:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out PortableInterceptor.InvalidSlot_Members);

   type ServerId is
     new CORBA.String;

   ServerId_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/PortableInterceptor/ServerId:1.0";

   type ORBId is
     new CORBA.String;

   ORBId_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/PortableInterceptor/ORBId:1.0";

   type AdapterName is
     new CORBA.IDL_Sequences.StringSeq;

   AdapterName_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/PortableInterceptor/AdapterName:1.0";

   type ObjectId is
     new CORBA.IDL_Sequences.OctetSeq;

   ObjectId_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/PortableInterceptor/ObjectId:1.0";

   type AdapterManagerId is
     new CORBA.String;

   AdapterManagerId_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/PortableInterceptor/AdapterManagerId:1.0";

   type AdapterState is
     new CORBA.Short;

   AdapterState_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/PortableInterceptor/AdapterState:1.0";

   HOLDING : constant PortableInterceptor.AdapterState :=
     0;

   ACTIVE : constant PortableInterceptor.AdapterState :=
     1;

   DISCARDING : constant PortableInterceptor.AdapterState :=
     2;

   INACTIVE : constant PortableInterceptor.AdapterState :=
     3;

   NON_EXISTENT : constant PortableInterceptor.AdapterState :=
     4;

end PortableInterceptor;
