pragma Style_Checks ("NM32766");
---------------------------------------------------
--  This file has been generated automatically from
--  /build/buildd-polyorb_2.6.0~20090423-10-s390-w2Na2W/polyorb-2.6.0~20090423/idls/Interop/CONV_FRAME.idl
--  by IAC (IDL to Ada Compiler) 2.6.0w (Debian release 20090423-10).
---------------------------------------------------
--  Do NOT hand-modify this file, as your
--  changes will be lost when you re-run the
--  IDL to Ada compiler.
---------------------------------------------------
with PolyORB.Std;
with Ada.Unchecked_Conversion;
with Ada.Unchecked_Deallocation;
with PolyORB.Utils.Strings;
with PolyORB.Utils.Strings.Lists;
with PolyORB.Initialization;

package body CONV_FRAME.Helper is

   
   package body Internals is

      ----------
      -- Wrap --
      ----------

      function Wrap
        (X : access CONV_FRAME.CodeSetId)
        return PolyORB.Any.Content'Class
      is
      begin
         return CORBA.Wrap
           (CORBA.Unsigned_Long
              (X.all)'Unrestricted_Access);
      end Wrap;

      CodeSetId_Initialized : PolyORB.Std.Boolean :=
        False;

      --------------------------
      -- Initialize_CodeSetId --
      --------------------------

      procedure Initialize_CodeSetId is
         Name_ : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("CodeSetId");
         Id_ : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("IDL:omg.org/CONV_FRAME/CodeSetId:1.0");
      begin
         if not CodeSetId_Initialized
         then
            CodeSetId_Initialized :=
              True;
            CONV_FRAME.Helper.TC_CodeSetId :=
              CORBA.TypeCode.Internals.Build_Alias_TC
                 (Name => Name_,
                  Id => Id_,
                  Parent => CORBA.TC_Unsigned_Long);
            CORBA.TypeCode.Internals.Disable_Reference_Counting
              (CONV_FRAME.Helper.TC_CodeSetId);
         end if;
      end Initialize_CodeSetId;

      ----------------------------------------------------
      -- IDL_SEQUENCE_CONV_FRAME_CodeSetId_Element_Wrap --
      ----------------------------------------------------

      function IDL_SEQUENCE_CONV_FRAME_CodeSetId_Element_Wrap
        (X : access CONV_FRAME.CodeSetId)
        return PolyORB.Any.Content'Class
      is
      begin
         return CORBA.Wrap
           (CORBA.Unsigned_Long
              (X.all)'Unrestricted_Access);
      end IDL_SEQUENCE_CONV_FRAME_CodeSetId_Element_Wrap;

      function Wrap
        (X : access CONV_FRAME.IDL_SEQUENCE_CONV_FRAME_CodeSetId.Sequence)
        return PolyORB.Any.Content'Class
        renames IDL_SEQUENCE_CONV_FRAME_CodeSetId_Helper.Wrap;

      IDL_SEQUENCE_CONV_FRAME_CodeSetId_Initialized : PolyORB.Std.Boolean :=
        False;

      --------------------------------------------------
      -- Initialize_IDL_SEQUENCE_CONV_FRAME_CodeSetId --
      --------------------------------------------------

      procedure Initialize_IDL_SEQUENCE_CONV_FRAME_CodeSetId is
      begin
         if not IDL_SEQUENCE_CONV_FRAME_CodeSetId_Initialized
         then
            IDL_SEQUENCE_CONV_FRAME_CodeSetId_Initialized :=
              True;
            CONV_FRAME.Helper.Internals.Initialize_CodeSetId;
            CONV_FRAME.Helper.TC_IDL_SEQUENCE_CONV_FRAME_CodeSetId :=
              CORBA.TypeCode.Internals.Build_Sequence_TC
                 (CONV_FRAME.Helper.TC_CodeSetId,
                  0);
            CORBA.TypeCode.Internals.Disable_Reference_Counting
              (CONV_FRAME.Helper.TC_IDL_SEQUENCE_CONV_FRAME_CodeSetId);
            IDL_SEQUENCE_CONV_FRAME_CodeSetId_Helper.Initialize
              (Element_TC => CONV_FRAME.Helper.TC_CodeSetId,
               Sequence_TC => CONV_FRAME.Helper.TC_IDL_SEQUENCE_CONV_FRAME_CodeSetId);
         end if;
      end Initialize_IDL_SEQUENCE_CONV_FRAME_CodeSetId;

      CodeSetIdSeq_Initialized : PolyORB.Std.Boolean :=
        False;

      -----------------------------
      -- Initialize_CodeSetIdSeq --
      -----------------------------

      procedure Initialize_CodeSetIdSeq is
         Name_ : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("CodeSetIdSeq");
         Id_ : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("IDL:omg.org/CONV_FRAME/CodeSetIdSeq:1.0");
      begin
         if not CodeSetIdSeq_Initialized
         then
            CodeSetIdSeq_Initialized :=
              True;
            CONV_FRAME.Helper.Internals.Initialize_IDL_SEQUENCE_CONV_FRAME_CodeSetId;
            CONV_FRAME.Helper.TC_CodeSetIdSeq :=
              CORBA.TypeCode.Internals.Build_Alias_TC
                 (Name => Name_,
                  Id => Id_,
                  Parent => CONV_FRAME.Helper.TC_IDL_SEQUENCE_CONV_FRAME_CodeSetId);
            CORBA.TypeCode.Internals.Disable_Reference_Counting
              (CONV_FRAME.Helper.TC_CodeSetIdSeq);
         end if;
      end Initialize_CodeSetIdSeq;

      ---------------------------
      -- Get_Aggregate_Element --
      ---------------------------

      function Get_Aggregate_Element
        (Acc : not null access Content__CodeSetComponent;
         Tc : PolyORB.Any.TypeCode.Object_Ptr;
         Index : PolyORB.Types.Unsigned_Long;
         Mech : not null access PolyORB.Any.Mechanism)
        return PolyORB.Any.Content'Class
      is
         use type PolyORB.Types.Unsigned_Long;
         use type PolyORB.Any.Mechanism;
         pragma Suppress (Validity_Check);
         pragma Unreferenced (Tc);
      begin
         Mech.all :=
           PolyORB.Any.By_Reference;
         case Index is
            when 0 =>
               return CORBA.Wrap
                 (CORBA.Unsigned_Long
                    (Acc.V.native_code_set)'Unrestricted_Access);
            when 1 =>
               return CONV_FRAME.Helper.Internals.Wrap
                 (CONV_FRAME.IDL_SEQUENCE_CONV_FRAME_CodeSetId.Sequence
                    (Acc.V.conversion_code_sets)'Unrestricted_Access);
            when others =>
               raise Constraint_Error;

         end case;
      end Get_Aggregate_Element;

      -------------------------
      -- Get_Aggregate_Count --
      -------------------------

      function Get_Aggregate_Count
        (Acc : Content__CodeSetComponent)
        return PolyORB.Types.Unsigned_Long
      is
         pragma Unreferenced (Acc);
      begin
         return 2;
      end Get_Aggregate_Count;

      -------------------------
      -- Set_Aggregate_Count --
      -------------------------

      procedure Set_Aggregate_Count
        (Acc : in out Content__CodeSetComponent;
         Count : PolyORB.Types.Unsigned_Long)
      is
         use type PolyORB.Types.Unsigned_Long;
         pragma Unreferenced (Acc);
      begin
         if (Count
            /= 2)
         then
            raise Program_Error;
         end if;
      end Set_Aggregate_Count;

      ---------------------
      -- Unchecked_Get_V --
      ---------------------

      function Unchecked_Get_V
        (Acc : not null access Content__CodeSetComponent)
        return System.Address
      is
         function To_Address
           is new Ada.Unchecked_Conversion
              (Ptr__CodeSetComponent,
               System.Address);
      begin
         return To_Address
           (Acc.V);
      end Unchecked_Get_V;

      -----------
      -- Clone --
      -----------

      function Clone
        (Acc : Content__CodeSetComponent;
         Into : PolyORB.Any.Content_Ptr := null)
        return PolyORB.Any.Content_Ptr
      is
         use type PolyORB.Any.Content_Ptr;
         Target : PolyORB.Any.Content_Ptr;
      begin
         if (Into
            /= null)
         then
            if (Into.all
               not in Content__CodeSetComponent)
            then
               return null;
            end if;
            Target :=
              Into;
            Content__CodeSetComponent
              (Target.all).V.all :=
              Acc.V.all;
         else
            Target :=
              new Content__CodeSetComponent;
            Content__CodeSetComponent
              (Target.all).V :=
              new CONV_FRAME.CodeSetComponent'
                 (Acc.V.all);
         end if;
         return Target;
      end Clone;

      --------------------
      -- Finalize_Value --
      --------------------

      procedure Finalize_Value
        (Acc : in out Content__CodeSetComponent)
      is
         procedure Free
           is new Ada.Unchecked_Deallocation
              (CONV_FRAME.CodeSetComponent,
               Ptr__CodeSetComponent);
      begin
         Free
           (Acc.V);
      end Finalize_Value;

      ----------
      -- Wrap --
      ----------

      function Wrap
        (X : access CONV_FRAME.CodeSetComponent)
        return PolyORB.Any.Content'Class
      is
      begin
         return Content__CodeSetComponent'
           (PolyORB.Any.Aggregate_Content with
            V => Ptr__CodeSetComponent
              (X));
      end Wrap;

      CodeSetComponent_Initialized : PolyORB.Std.Boolean :=
        False;

      ---------------------------------
      -- Initialize_CodeSetComponent --
      ---------------------------------

      procedure Initialize_CodeSetComponent is
         Name_ : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("CodeSetComponent");
         Id_ : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("IDL:omg.org/CONV_FRAME/CodeSetComponent:1.0");
         Argument_Name__native_code_set : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("native_code_set");
         Argument_Name__conversion_code_sets : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("conversion_code_sets");
      begin
         if not CodeSetComponent_Initialized
         then
            CodeSetComponent_Initialized :=
              True;
            CONV_FRAME.Helper.TC_CodeSetComponent :=
              CORBA.TypeCode.Internals.To_CORBA_Object
                 (PolyORB.Any.TypeCode.TC_Struct);
            CORBA.Internals.Add_Parameter
              (TC_CodeSetComponent,
               CORBA.To_Any
                 (Name_));
            CORBA.Internals.Add_Parameter
              (TC_CodeSetComponent,
               CORBA.To_Any
                 (Id_));
            CONV_FRAME.Helper.Internals.Initialize_CodeSetId;
            CORBA.Internals.Add_Parameter
              (TC_CodeSetComponent,
               CORBA.To_Any
                 (CONV_FRAME.Helper.TC_CodeSetId));
            CORBA.Internals.Add_Parameter
              (TC_CodeSetComponent,
               CORBA.To_Any
                 (Argument_Name__native_code_set));
            CONV_FRAME.Helper.Internals.Initialize_CodeSetIdSeq;
            CORBA.Internals.Add_Parameter
              (TC_CodeSetComponent,
               CORBA.To_Any
                 (CONV_FRAME.Helper.TC_CodeSetIdSeq));
            CORBA.Internals.Add_Parameter
              (TC_CodeSetComponent,
               CORBA.To_Any
                 (Argument_Name__conversion_code_sets));
            CORBA.TypeCode.Internals.Disable_Reference_Counting
              (CONV_FRAME.Helper.TC_CodeSetComponent);
         end if;
      end Initialize_CodeSetComponent;

      ---------------------------
      -- Get_Aggregate_Element --
      ---------------------------

      function Get_Aggregate_Element
        (Acc : not null access Content__CodeSetComponentInfo;
         Tc : PolyORB.Any.TypeCode.Object_Ptr;
         Index : PolyORB.Types.Unsigned_Long;
         Mech : not null access PolyORB.Any.Mechanism)
        return PolyORB.Any.Content'Class
      is
         use type PolyORB.Types.Unsigned_Long;
         use type PolyORB.Any.Mechanism;
         pragma Suppress (Validity_Check);
         pragma Unreferenced (Tc);
      begin
         Mech.all :=
           PolyORB.Any.By_Reference;
         case Index is
            when 0 =>
               return CONV_FRAME.Helper.Internals.Wrap
                 (Acc.V.ForCharData'Unrestricted_Access);
            when 1 =>
               return CONV_FRAME.Helper.Internals.Wrap
                 (Acc.V.ForWcharData'Unrestricted_Access);
            when others =>
               raise Constraint_Error;

         end case;
      end Get_Aggregate_Element;

      -------------------------
      -- Get_Aggregate_Count --
      -------------------------

      function Get_Aggregate_Count
        (Acc : Content__CodeSetComponentInfo)
        return PolyORB.Types.Unsigned_Long
      is
         pragma Unreferenced (Acc);
      begin
         return 2;
      end Get_Aggregate_Count;

      -------------------------
      -- Set_Aggregate_Count --
      -------------------------

      procedure Set_Aggregate_Count
        (Acc : in out Content__CodeSetComponentInfo;
         Count : PolyORB.Types.Unsigned_Long)
      is
         use type PolyORB.Types.Unsigned_Long;
         pragma Unreferenced (Acc);
      begin
         if (Count
            /= 2)
         then
            raise Program_Error;
         end if;
      end Set_Aggregate_Count;

      ---------------------
      -- Unchecked_Get_V --
      ---------------------

      function Unchecked_Get_V
        (Acc : not null access Content__CodeSetComponentInfo)
        return System.Address
      is
         function To_Address
           is new Ada.Unchecked_Conversion
              (Ptr__CodeSetComponentInfo,
               System.Address);
      begin
         return To_Address
           (Acc.V);
      end Unchecked_Get_V;

      -----------
      -- Clone --
      -----------

      function Clone
        (Acc : Content__CodeSetComponentInfo;
         Into : PolyORB.Any.Content_Ptr := null)
        return PolyORB.Any.Content_Ptr
      is
         use type PolyORB.Any.Content_Ptr;
         Target : PolyORB.Any.Content_Ptr;
      begin
         if (Into
            /= null)
         then
            if (Into.all
               not in Content__CodeSetComponentInfo)
            then
               return null;
            end if;
            Target :=
              Into;
            Content__CodeSetComponentInfo
              (Target.all).V.all :=
              Acc.V.all;
         else
            Target :=
              new Content__CodeSetComponentInfo;
            Content__CodeSetComponentInfo
              (Target.all).V :=
              new CONV_FRAME.CodeSetComponentInfo'
                 (Acc.V.all);
         end if;
         return Target;
      end Clone;

      --------------------
      -- Finalize_Value --
      --------------------

      procedure Finalize_Value
        (Acc : in out Content__CodeSetComponentInfo)
      is
         procedure Free
           is new Ada.Unchecked_Deallocation
              (CONV_FRAME.CodeSetComponentInfo,
               Ptr__CodeSetComponentInfo);
      begin
         Free
           (Acc.V);
      end Finalize_Value;

      ----------
      -- Wrap --
      ----------

      function Wrap
        (X : access CONV_FRAME.CodeSetComponentInfo)
        return PolyORB.Any.Content'Class
      is
      begin
         return Content__CodeSetComponentInfo'
           (PolyORB.Any.Aggregate_Content with
            V => Ptr__CodeSetComponentInfo
              (X));
      end Wrap;

      CodeSetComponentInfo_Initialized : PolyORB.Std.Boolean :=
        False;

      -------------------------------------
      -- Initialize_CodeSetComponentInfo --
      -------------------------------------

      procedure Initialize_CodeSetComponentInfo is
         Name_ : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("CodeSetComponentInfo");
         Id_ : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("IDL:omg.org/CONV_FRAME/CodeSetComponentInfo:1.0");
         Argument_Name__ForCharData : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("ForCharData");
         Argument_Name__ForWcharData : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("ForWcharData");
      begin
         if not CodeSetComponentInfo_Initialized
         then
            CodeSetComponentInfo_Initialized :=
              True;
            CONV_FRAME.Helper.TC_CodeSetComponentInfo :=
              CORBA.TypeCode.Internals.To_CORBA_Object
                 (PolyORB.Any.TypeCode.TC_Struct);
            CORBA.Internals.Add_Parameter
              (TC_CodeSetComponentInfo,
               CORBA.To_Any
                 (Name_));
            CORBA.Internals.Add_Parameter
              (TC_CodeSetComponentInfo,
               CORBA.To_Any
                 (Id_));
            CONV_FRAME.Helper.Internals.Initialize_CodeSetComponent;
            CORBA.Internals.Add_Parameter
              (TC_CodeSetComponentInfo,
               CORBA.To_Any
                 (CONV_FRAME.Helper.TC_CodeSetComponent));
            CORBA.Internals.Add_Parameter
              (TC_CodeSetComponentInfo,
               CORBA.To_Any
                 (Argument_Name__ForCharData));
            CONV_FRAME.Helper.Internals.Initialize_CodeSetComponent;
            CORBA.Internals.Add_Parameter
              (TC_CodeSetComponentInfo,
               CORBA.To_Any
                 (CONV_FRAME.Helper.TC_CodeSetComponent));
            CORBA.Internals.Add_Parameter
              (TC_CodeSetComponentInfo,
               CORBA.To_Any
                 (Argument_Name__ForWcharData));
            CORBA.TypeCode.Internals.Disable_Reference_Counting
              (CONV_FRAME.Helper.TC_CodeSetComponentInfo);
         end if;
      end Initialize_CodeSetComponentInfo;

      ---------------------------
      -- Get_Aggregate_Element --
      ---------------------------

      function Get_Aggregate_Element
        (Acc : not null access Content__CodeSetContext;
         Tc : PolyORB.Any.TypeCode.Object_Ptr;
         Index : PolyORB.Types.Unsigned_Long;
         Mech : not null access PolyORB.Any.Mechanism)
        return PolyORB.Any.Content'Class
      is
         use type PolyORB.Types.Unsigned_Long;
         use type PolyORB.Any.Mechanism;
         pragma Suppress (Validity_Check);
         pragma Unreferenced (Tc);
      begin
         Mech.all :=
           PolyORB.Any.By_Reference;
         case Index is
            when 0 =>
               return CORBA.Wrap
                 (CORBA.Unsigned_Long
                    (Acc.V.char_data)'Unrestricted_Access);
            when 1 =>
               return CORBA.Wrap
                 (CORBA.Unsigned_Long
                    (Acc.V.wchar_data)'Unrestricted_Access);
            when others =>
               raise Constraint_Error;

         end case;
      end Get_Aggregate_Element;

      -------------------------
      -- Get_Aggregate_Count --
      -------------------------

      function Get_Aggregate_Count
        (Acc : Content__CodeSetContext)
        return PolyORB.Types.Unsigned_Long
      is
         pragma Unreferenced (Acc);
      begin
         return 2;
      end Get_Aggregate_Count;

      -------------------------
      -- Set_Aggregate_Count --
      -------------------------

      procedure Set_Aggregate_Count
        (Acc : in out Content__CodeSetContext;
         Count : PolyORB.Types.Unsigned_Long)
      is
         use type PolyORB.Types.Unsigned_Long;
         pragma Unreferenced (Acc);
      begin
         if (Count
            /= 2)
         then
            raise Program_Error;
         end if;
      end Set_Aggregate_Count;

      ---------------------
      -- Unchecked_Get_V --
      ---------------------

      function Unchecked_Get_V
        (Acc : not null access Content__CodeSetContext)
        return System.Address
      is
         function To_Address
           is new Ada.Unchecked_Conversion
              (Ptr__CodeSetContext,
               System.Address);
      begin
         return To_Address
           (Acc.V);
      end Unchecked_Get_V;

      -----------
      -- Clone --
      -----------

      function Clone
        (Acc : Content__CodeSetContext;
         Into : PolyORB.Any.Content_Ptr := null)
        return PolyORB.Any.Content_Ptr
      is
         use type PolyORB.Any.Content_Ptr;
         Target : PolyORB.Any.Content_Ptr;
      begin
         if (Into
            /= null)
         then
            if (Into.all
               not in Content__CodeSetContext)
            then
               return null;
            end if;
            Target :=
              Into;
            Content__CodeSetContext
              (Target.all).V.all :=
              Acc.V.all;
         else
            Target :=
              new Content__CodeSetContext;
            Content__CodeSetContext
              (Target.all).V :=
              new CONV_FRAME.CodeSetContext'
                 (Acc.V.all);
         end if;
         return Target;
      end Clone;

      --------------------
      -- Finalize_Value --
      --------------------

      procedure Finalize_Value
        (Acc : in out Content__CodeSetContext)
      is
         procedure Free
           is new Ada.Unchecked_Deallocation
              (CONV_FRAME.CodeSetContext,
               Ptr__CodeSetContext);
      begin
         Free
           (Acc.V);
      end Finalize_Value;

      ----------
      -- Wrap --
      ----------

      function Wrap
        (X : access CONV_FRAME.CodeSetContext)
        return PolyORB.Any.Content'Class
      is
      begin
         return Content__CodeSetContext'
           (PolyORB.Any.Aggregate_Content with
            V => Ptr__CodeSetContext
              (X));
      end Wrap;

      CodeSetContext_Initialized : PolyORB.Std.Boolean :=
        False;

      -------------------------------
      -- Initialize_CodeSetContext --
      -------------------------------

      procedure Initialize_CodeSetContext is
         Name_ : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("CodeSetContext");
         Id_ : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("IDL:omg.org/CONV_FRAME/CodeSetContext:1.0");
         Argument_Name__char_data : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("char_data");
         Argument_Name__wchar_data : constant CORBA.String :=
           CORBA.To_CORBA_String
              ("wchar_data");
      begin
         if not CodeSetContext_Initialized
         then
            CodeSetContext_Initialized :=
              True;
            CONV_FRAME.Helper.TC_CodeSetContext :=
              CORBA.TypeCode.Internals.To_CORBA_Object
                 (PolyORB.Any.TypeCode.TC_Struct);
            CORBA.Internals.Add_Parameter
              (TC_CodeSetContext,
               CORBA.To_Any
                 (Name_));
            CORBA.Internals.Add_Parameter
              (TC_CodeSetContext,
               CORBA.To_Any
                 (Id_));
            CONV_FRAME.Helper.Internals.Initialize_CodeSetId;
            CORBA.Internals.Add_Parameter
              (TC_CodeSetContext,
               CORBA.To_Any
                 (CONV_FRAME.Helper.TC_CodeSetId));
            CORBA.Internals.Add_Parameter
              (TC_CodeSetContext,
               CORBA.To_Any
                 (Argument_Name__char_data));
            CONV_FRAME.Helper.Internals.Initialize_CodeSetId;
            CORBA.Internals.Add_Parameter
              (TC_CodeSetContext,
               CORBA.To_Any
                 (CONV_FRAME.Helper.TC_CodeSetId));
            CORBA.Internals.Add_Parameter
              (TC_CodeSetContext,
               CORBA.To_Any
                 (Argument_Name__wchar_data));
            CORBA.TypeCode.Internals.Disable_Reference_Counting
              (CONV_FRAME.Helper.TC_CodeSetContext);
         end if;
      end Initialize_CodeSetContext;

   end Internals;

   --------------
   -- From_Any --
   --------------

   function From_Any
     (Item : CORBA.Any)
     return CONV_FRAME.CodeSetId
   is
      Result : constant CORBA.Unsigned_Long :=
        CORBA.From_Any
           (Item);
   begin
      return CONV_FRAME.CodeSetId
        (Result);
   end From_Any;

   ------------
   -- To_Any --
   ------------

   function To_Any
     (Item : CONV_FRAME.CodeSetId)
     return CORBA.Any
   is
      Result : CORBA.Any :=
        CORBA.To_Any
           (CORBA.Unsigned_Long
              (Item));
   begin
      CORBA.Internals.Set_Type
        (Result,
         TC_CodeSetId);
      return Result;
   end To_Any;

   function From_Any
     (Item : CORBA.Any)
     return CONV_FRAME.IDL_SEQUENCE_CONV_FRAME_CodeSetId.Sequence
     renames CONV_FRAME.Helper.Internals.IDL_SEQUENCE_CONV_FRAME_CodeSetId_Helper.From_Any;

   function To_Any
     (Item : CONV_FRAME.IDL_SEQUENCE_CONV_FRAME_CodeSetId.Sequence)
     return CORBA.Any
     renames CONV_FRAME.Helper.Internals.IDL_SEQUENCE_CONV_FRAME_CodeSetId_Helper.To_Any;

   --------------
   -- From_Any --
   --------------

   function From_Any
     (Item : CORBA.Any)
     return CONV_FRAME.CodeSetIdSeq
   is
      Result : constant CONV_FRAME.IDL_SEQUENCE_CONV_FRAME_CodeSetId.Sequence :=
        CONV_FRAME.Helper.From_Any
           (Item);
   begin
      return CONV_FRAME.CodeSetIdSeq
        (Result);
   end From_Any;

   ------------
   -- To_Any --
   ------------

   function To_Any
     (Item : CONV_FRAME.CodeSetIdSeq)
     return CORBA.Any
   is
      Result : CORBA.Any :=
        CONV_FRAME.Helper.To_Any
           (CONV_FRAME.IDL_SEQUENCE_CONV_FRAME_CodeSetId.Sequence
              (Item));
   begin
      CORBA.Internals.Set_Type
        (Result,
         TC_CodeSetIdSeq);
      return Result;
   end To_Any;

   --------------
   -- From_Any --
   --------------

   function From_Any
     (Item : CORBA.Any)
     return CONV_FRAME.CodeSetComponent
   is
      Index_ : CORBA.Any;
      Result__native_code_set : CONV_FRAME.CodeSetId;
      Result__conversion_code_sets : CONV_FRAME.CodeSetIdSeq;
   begin
      Index_ :=
        CORBA.Internals.Get_Aggregate_Element
           (Item,
            CONV_FRAME.Helper.TC_CodeSetId,
            CORBA.Unsigned_Long
              (0));
      Result__native_code_set :=
        CONV_FRAME.Helper.From_Any
           (Index_);
      Index_ :=
        CORBA.Internals.Get_Aggregate_Element
           (Item,
            CONV_FRAME.Helper.TC_CodeSetIdSeq,
            CORBA.Unsigned_Long
              (1));
      Result__conversion_code_sets :=
        CONV_FRAME.Helper.From_Any
           (Index_);
      return (native_code_set => Result__native_code_set,
      conversion_code_sets => Result__conversion_code_sets);
   end From_Any;

   ------------
   -- To_Any --
   ------------

   function To_Any
     (Item : CONV_FRAME.CodeSetComponent)
     return CORBA.Any
   is
      Result : CORBA.Any :=
        CORBA.Internals.Get_Empty_Any_Aggregate
           (TC_CodeSetComponent);
   begin
      CORBA.Internals.Add_Aggregate_Element
        (Result,
         CONV_FRAME.Helper.To_Any
           (Item.native_code_set));
      CORBA.Internals.Add_Aggregate_Element
        (Result,
         CONV_FRAME.Helper.To_Any
           (Item.conversion_code_sets));
      return Result;
   end To_Any;

   --------------
   -- From_Any --
   --------------

   function From_Any
     (Item : CORBA.Any)
     return CONV_FRAME.CodeSetComponentInfo
   is
      Index_ : CORBA.Any;
      Result__ForCharData : CONV_FRAME.CodeSetComponent;
      Result__ForWcharData : CONV_FRAME.CodeSetComponent;
   begin
      Index_ :=
        CORBA.Internals.Get_Aggregate_Element
           (Item,
            CONV_FRAME.Helper.TC_CodeSetComponent,
            CORBA.Unsigned_Long
              (0));
      Result__ForCharData :=
        CONV_FRAME.Helper.From_Any
           (Index_);
      Index_ :=
        CORBA.Internals.Get_Aggregate_Element
           (Item,
            CONV_FRAME.Helper.TC_CodeSetComponent,
            CORBA.Unsigned_Long
              (1));
      Result__ForWcharData :=
        CONV_FRAME.Helper.From_Any
           (Index_);
      return (ForCharData => Result__ForCharData,
      ForWcharData => Result__ForWcharData);
   end From_Any;

   ------------
   -- To_Any --
   ------------

   function To_Any
     (Item : CONV_FRAME.CodeSetComponentInfo)
     return CORBA.Any
   is
      Result : CORBA.Any :=
        CORBA.Internals.Get_Empty_Any_Aggregate
           (TC_CodeSetComponentInfo);
   begin
      CORBA.Internals.Add_Aggregate_Element
        (Result,
         CONV_FRAME.Helper.To_Any
           (Item.ForCharData));
      CORBA.Internals.Add_Aggregate_Element
        (Result,
         CONV_FRAME.Helper.To_Any
           (Item.ForWcharData));
      return Result;
   end To_Any;

   --------------
   -- From_Any --
   --------------

   function From_Any
     (Item : CORBA.Any)
     return CONV_FRAME.CodeSetContext
   is
      Index_ : CORBA.Any;
      Result__char_data : CONV_FRAME.CodeSetId;
      Result__wchar_data : CONV_FRAME.CodeSetId;
   begin
      Index_ :=
        CORBA.Internals.Get_Aggregate_Element
           (Item,
            CONV_FRAME.Helper.TC_CodeSetId,
            CORBA.Unsigned_Long
              (0));
      Result__char_data :=
        CONV_FRAME.Helper.From_Any
           (Index_);
      Index_ :=
        CORBA.Internals.Get_Aggregate_Element
           (Item,
            CONV_FRAME.Helper.TC_CodeSetId,
            CORBA.Unsigned_Long
              (1));
      Result__wchar_data :=
        CONV_FRAME.Helper.From_Any
           (Index_);
      return (char_data => Result__char_data,
      wchar_data => Result__wchar_data);
   end From_Any;

   ------------
   -- To_Any --
   ------------

   function To_Any
     (Item : CONV_FRAME.CodeSetContext)
     return CORBA.Any
   is
      Result : CORBA.Any :=
        CORBA.Internals.Get_Empty_Any_Aggregate
           (TC_CodeSetContext);
   begin
      CORBA.Internals.Add_Aggregate_Element
        (Result,
         CONV_FRAME.Helper.To_Any
           (Item.char_data));
      CORBA.Internals.Add_Aggregate_Element
        (Result,
         CONV_FRAME.Helper.To_Any
           (Item.wchar_data));
      return Result;
   end To_Any;

   -----------------------------
   -- Deferred_Initialization --
   -----------------------------

   procedure Deferred_Initialization is
   begin
      CONV_FRAME.Helper.Internals.Initialize_CodeSetId;
      CONV_FRAME.Helper.Internals.Initialize_IDL_SEQUENCE_CONV_FRAME_CodeSetId;
      CONV_FRAME.Helper.Internals.Initialize_CodeSetIdSeq;
      CONV_FRAME.Helper.Internals.Initialize_CodeSetComponent;
      CONV_FRAME.Helper.Internals.Initialize_CodeSetComponentInfo;
      CONV_FRAME.Helper.Internals.Initialize_CodeSetContext;
   end Deferred_Initialization;

begin
   declare
      use PolyORB.Utils.Strings;
      use PolyORB.Utils.Strings.Lists;
   begin
      PolyORB.Initialization.Register_Module
        (PolyORB.Initialization.Module_Info'
           (Name => +"CONV_FRAME.Helper",
            Conflicts => PolyORB.Utils.Strings.Lists.Empty,
            Depends => +"any"
               & "corba",
            Provides => PolyORB.Utils.Strings.Lists.Empty,
            Implicit => False,
            Init => Deferred_Initialization'Access,
            Shutdown => null));
   end;
end CONV_FRAME.Helper;
