pragma Style_Checks ("NM32766");
---------------------------------------------------
--  This file has been generated automatically from
--  /build/buildd-polyorb_2.6.0~20090423-10-s390-w2Na2W/polyorb-2.6.0~20090423/idls/cos/notification/CosNotifyChannelAdmin.idl
--  by IAC (IDL to Ada Compiler) 2.6.0w (Debian release 20090423-10).
---------------------------------------------------
--  Do NOT hand-modify this file, as your
--  changes will be lost when you re-run the
--  IDL to Ada compiler.
---------------------------------------------------
with PolyORB.Std;
with CORBA;
pragma Elaborate_All (CORBA);
with Ada.Exceptions;
with CORBA.Forward;
pragma Elaborate_All (CORBA.Forward);
with CORBA.Sequences.Unbounded;
with CosNotification;

package CosNotifyChannelAdmin is

   Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin:1.0";

   ConnectionAlreadyActive : exception;

   type ConnectionAlreadyActive_Members is
     new CORBA.Idl_Exception_Members with null record;

   ConnectionAlreadyActive_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/ConnectionAlreadyActive:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyChannelAdmin.ConnectionAlreadyActive_Members);

   ConnectionAlreadyInactive : exception;

   type ConnectionAlreadyInactive_Members is
     new CORBA.Idl_Exception_Members with null record;

   ConnectionAlreadyInactive_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/ConnectionAlreadyInactive:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyChannelAdmin.ConnectionAlreadyInactive_Members);

   NotConnected : exception;

   type NotConnected_Members is
     new CORBA.Idl_Exception_Members with null record;

   NotConnected_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/NotConnected:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyChannelAdmin.NotConnected_Members);

   package ConsumerAdmin_Forward is
     new CORBA.Forward;

   package SupplierAdmin_Forward is
     new CORBA.Forward;

   package EventChannel_Forward is
     new CORBA.Forward;

   package EventChannelFactory_Forward is
     new CORBA.Forward;

   type ProxyType is
     (PUSH_ANY,
      PULL_ANY,
      PUSH_STRUCTURED,
      PULL_STRUCTURED,
      PUSH_SEQUENCE,
      PULL_SEQUENCE,
      PUSH_TYPED,
      PULL_TYPED);

   ProxyType_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/ProxyType:1.0";

   type ObtainInfoMode is
     (ALL_NOW_UPDATES_OFF,
      ALL_NOW_UPDATES_ON,
      NONE_NOW_UPDATES_OFF,
      NONE_NOW_UPDATES_ON);

   ObtainInfoMode_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/ObtainInfoMode:1.0";

   type ProxyID is
     new CORBA.Long;

   ProxyID_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/ProxyID:1.0";

   package IDL_SEQUENCE_CosNotifyChannelAdmin_ProxyID is
     new CORBA.Sequences.Unbounded
        (CosNotifyChannelAdmin.ProxyID);

   type ProxyIDSeq is
     new CosNotifyChannelAdmin.IDL_SEQUENCE_CosNotifyChannelAdmin_ProxyID.Sequence;

   ProxyIDSeq_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/ProxyIDSeq:1.0";

   type ClientType is
     (ANY_EVENT,
      STRUCTURED_EVENT,
      SEQUENCE_EVENT);

   ClientType_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/ClientType:1.0";

   type InterFilterGroupOperator is
     (AND_OP,
      OR_OP);

   InterFilterGroupOperator_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/InterFilterGroupOperator:1.0";

   type AdminID is
     new CORBA.Long;

   AdminID_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/AdminID:1.0";

   package IDL_SEQUENCE_CosNotifyChannelAdmin_AdminID is
     new CORBA.Sequences.Unbounded
        (CosNotifyChannelAdmin.AdminID);

   type AdminIDSeq is
     new CosNotifyChannelAdmin.IDL_SEQUENCE_CosNotifyChannelAdmin_AdminID.Sequence;

   AdminIDSeq_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/AdminIDSeq:1.0";

   AdminNotFound : exception;

   type AdminNotFound_Members is
     new CORBA.Idl_Exception_Members with null record;

   AdminNotFound_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/AdminNotFound:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyChannelAdmin.AdminNotFound_Members);

   ProxyNotFound : exception;

   type ProxyNotFound_Members is
     new CORBA.Idl_Exception_Members with null record;

   ProxyNotFound_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/ProxyNotFound:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyChannelAdmin.ProxyNotFound_Members);

   type AdminLimit is
     record
         name : CosNotification.PropertyName;
         value : CosNotification.PropertyValue;
      end record;

   AdminLimit_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/AdminLimit:1.0";

   AdminLimitExceeded : exception;

   type AdminLimitExceeded_Members is
     new CORBA.Idl_Exception_Members with record
         admin_property_err : CosNotifyChannelAdmin.AdminLimit;
      end record;

   AdminLimitExceeded_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/AdminLimitExceeded:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyChannelAdmin.AdminLimitExceeded_Members);

   type ChannelID is
     new CORBA.Long;

   ChannelID_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/ChannelID:1.0";

   package IDL_SEQUENCE_CosNotifyChannelAdmin_ChannelID is
     new CORBA.Sequences.Unbounded
        (CosNotifyChannelAdmin.ChannelID);

   type ChannelIDSeq is
     new CosNotifyChannelAdmin.IDL_SEQUENCE_CosNotifyChannelAdmin_ChannelID.Sequence;

   ChannelIDSeq_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/ChannelIDSeq:1.0";

   ChannelNotFound : exception;

   type ChannelNotFound_Members is
     new CORBA.Idl_Exception_Members with null record;

   ChannelNotFound_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyChannelAdmin/ChannelNotFound:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyChannelAdmin.ChannelNotFound_Members);

end CosNotifyChannelAdmin;
