pragma Style_Checks ("NM32766");
---------------------------------------------------
--  This file has been generated automatically from
--  /build/buildd-polyorb_2.6.0~20090423-10-s390-w2Na2W/polyorb-2.6.0~20090423/idls/cos/notification/CosNotifyFilter.idl
--  by IAC (IDL to Ada Compiler) 2.6.0w (Debian release 20090423-10).
---------------------------------------------------
--  Do NOT hand-modify this file, as your
--  changes will be lost when you re-run the
--  IDL to Ada compiler.
---------------------------------------------------
with CosNotifyFilter.FilterAdmin.Impl;
with CosNotifyFilter.Filter;
with CORBA;
pragma Elaborate_All (CORBA);
with CORBA.Object.Helper;
with CORBA.Object;
with PolyORB.Any;
with CosNotifyFilter.Filter.Helper;
with CORBA.NVList;
with CosNotifyFilter.Helper;
with CORBA.ServerRequest;
with PolyORB.CORBA_P.IR_Hooks;
with PolyORB.CORBA_P.Domain_Management;
with PortableServer;
with PolyORB.Std;
with CORBA.ORB;
with PolyORB.CORBA_P.Exceptions;
with PolyORB.Qos.Exception_Informations;
with PolyORB.Utils.Strings;
with PolyORB.Utils.Strings.Lists;
with PolyORB.Initialization;

package body CosNotifyFilter.FilterAdmin.Skel is

   add_filter_Arg_Name_new_filter_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("new_filter");

   remove_filter_Arg_Name_filter_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("filter");

   get_filter_Arg_Name_filter_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("filter");

   procedure Invoke
     (Self : PortableServer.Servant;
      Request : CORBA.ServerRequest.Object_Ptr);

   ------------
   -- Invoke --
   ------------

   procedure Invoke
     (Self : PortableServer.Servant;
      Request : CORBA.ServerRequest.Object_Ptr)
   is
      Operation_ : constant PolyORB.Std.String :=
        CORBA.To_Standard_String
           (CORBA.ServerRequest.Operation
              (Request.all));
      Argument_List_ : CORBA.NVList.Ref;
   begin
      CORBA.ORB.Create_List
        (0,
         Argument_List_);
      begin
         if (Operation_
            = "_is_a")
         then
            declare
               Type_Id_ : CORBA.String;
               Arg_Name_Type_Id_ : constant CORBA.Identifier :=
                 CORBA.To_CORBA_String
                    ("Type_Id_");
               Argument_Type_Id_ : constant CORBA.Any :=
                 CORBA.To_Any
                    (Type_Id_);
               Result_ : CORBA.Boolean;
            begin
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  Arg_Name_Type_Id_,
                  Argument_Type_Id_,
                  CORBA.ARG_IN);
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               Type_Id_ :=
                 CORBA.From_Any
                    (Argument_Type_Id_);
               Result_ :=
                 Is_A
                    (CORBA.To_Standard_String
                       (Type_Id_));
               CORBA.ServerRequest.Set_Result
                 (Request,
                  CORBA.To_Any
                    (Result_));
            end;
         elsif (Operation_
            = "add_filter")
         then
            declare
               Argument_new_filter_ : CosNotifyFilter.Filter.Ref;
               pragma Warnings (Off, Argument_new_filter_);
               Arg_CC_new_filter_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Object.Helper.Wrap
                    (CORBA.Object.Ref
                       (Argument_new_filter_)'Unrestricted_Access);
               Arg_Any_new_filter_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosNotifyFilter.Filter.Helper.TC_Filter,
                     Arg_CC_new_filter_'Unchecked_Access);
               Result_ : CosNotifyFilter.FilterID;
               pragma Warnings (Off, Result_);
               Arg_CC_Result__ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Wrap
                    (CORBA.Long
                       (Result_)'Unrestricted_Access);
               Arg_Any_Result__ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosNotifyFilter.Helper.TC_FilterID,
                     Arg_CC_Result__'Unchecked_Access);
            begin
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  add_filter_Arg_Name_new_filter_,
                  Arg_Any_new_filter_,
                  CORBA.ARG_IN);
               --  Processing request
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               --  Call Implementation
               Result_ :=
                 CosNotifyFilter.FilterAdmin.Impl.add_filter
                    (CosNotifyFilter.FilterAdmin.Impl.Object'Class
                       (Self.all)'Access,
                     Argument_new_filter_);
               --  Setting the result
               CORBA.ServerRequest.Set_Result
                 (Request,
                  Arg_Any_Result__);
               CORBA.NVList.Internals.Clone_Out_Args
                 (Argument_List_);
            end;
         elsif (Operation_
            = "remove_filter")
         then
            declare
               Argument_filter_ : CosNotifyFilter.FilterID;
               pragma Warnings (Off, Argument_filter_);
               Arg_CC_filter_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Wrap
                    (CORBA.Long
                       (Argument_filter_)'Unrestricted_Access);
               Arg_Any_filter_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosNotifyFilter.Helper.TC_FilterID,
                     Arg_CC_filter_'Unchecked_Access);
            begin
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  remove_filter_Arg_Name_filter_,
                  Arg_Any_filter_,
                  CORBA.ARG_IN);
               --  Processing request
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               begin
                  --  Call Implementation
                  CosNotifyFilter.FilterAdmin.Impl.remove_filter
                    (CosNotifyFilter.FilterAdmin.Impl.Object'Class
                       (Self.all)'Access,
                     Argument_filter_);
               exception
                  when E : CosNotifyFilter.FilterNotFound =>
                     declare
                        Members : CosNotifyFilter.FilterNotFound_Members;
                     begin
                        CosNotifyFilter.Get_Members
                          (E,
                           Members);
                        CORBA.ServerRequest.Set_Exception
                          (Request,
                           CosNotifyFilter.Helper.To_Any
                             (Members));
                        return;
                     end;
               end;
               CORBA.NVList.Internals.Clone_Out_Args
                 (Argument_List_);
            end;
         elsif (Operation_
            = "get_filter")
         then
            declare
               Argument_filter_ : CosNotifyFilter.FilterID;
               pragma Warnings (Off, Argument_filter_);
               Arg_CC_filter_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Wrap
                    (CORBA.Long
                       (Argument_filter_)'Unrestricted_Access);
               Arg_Any_filter_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosNotifyFilter.Helper.TC_FilterID,
                     Arg_CC_filter_'Unchecked_Access);
               Result_ : CosNotifyFilter.Filter.Ref;
               pragma Warnings (Off, Result_);
               Arg_CC_Result__ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Object.Helper.Wrap
                    (CORBA.Object.Ref
                       (Result_)'Unrestricted_Access);
               Arg_Any_Result__ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosNotifyFilter.Filter.Helper.TC_Filter,
                     Arg_CC_Result__'Unchecked_Access);
            begin
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  get_filter_Arg_Name_filter_,
                  Arg_Any_filter_,
                  CORBA.ARG_IN);
               --  Processing request
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               begin
                  --  Call Implementation
                  Result_ :=
                    CosNotifyFilter.FilterAdmin.Impl.get_filter
                       (CosNotifyFilter.FilterAdmin.Impl.Object'Class
                          (Self.all)'Access,
                        Argument_filter_);
               exception
                  when E : CosNotifyFilter.FilterNotFound =>
                     declare
                        Members : CosNotifyFilter.FilterNotFound_Members;
                     begin
                        CosNotifyFilter.Get_Members
                          (E,
                           Members);
                        CORBA.ServerRequest.Set_Exception
                          (Request,
                           CosNotifyFilter.Helper.To_Any
                             (Members));
                        return;
                     end;
               end;
               --  Setting the result
               CORBA.ServerRequest.Set_Result
                 (Request,
                  Arg_Any_Result__);
               CORBA.NVList.Internals.Clone_Out_Args
                 (Argument_List_);
            end;
         elsif (Operation_
            = "get_all_filters")
         then
            declare
               Result_ : CosNotifyFilter.FilterIDSeq;
               pragma Warnings (Off, Result_);
               Arg_CC_Result__ : aliased PolyORB.Any.Content'Class :=
                 CosNotifyFilter.Helper.Internals.Wrap
                    (CosNotifyFilter.IDL_SEQUENCE_CosNotifyFilter_FilterID.Sequence
                       (Result_)'Unrestricted_Access);
               Arg_Any_Result__ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosNotifyFilter.Helper.TC_FilterIDSeq,
                     Arg_CC_Result__'Unchecked_Access);
            begin
               --  Processing request
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               --  Call Implementation
               Result_ :=
                 CosNotifyFilter.FilterAdmin.Impl.get_all_filters
                    (CosNotifyFilter.FilterAdmin.Impl.Object'Class
                       (Self.all)'Access);
               --  Setting the result
               CORBA.ServerRequest.Set_Result
                 (Request,
                  Arg_Any_Result__);
               CORBA.NVList.Internals.Clone_Out_Args
                 (Argument_List_);
            end;
         elsif (Operation_
            = "remove_all_filters")
         then
            --  Processing request
            CORBA.ServerRequest.Arguments
              (Request,
               Argument_List_);
            --  Call Implementation
            CosNotifyFilter.FilterAdmin.Impl.remove_all_filters
              (CosNotifyFilter.FilterAdmin.Impl.Object'Class
                 (Self.all)'Access);
            CORBA.NVList.Internals.Clone_Out_Args
              (Argument_List_);

         elsif (Operation_
            = "_interface")
         then
            CORBA.ServerRequest.Arguments
              (Request,
               Argument_List_);
            CORBA.ServerRequest.Set_Result
              (Request,
               CORBA.Object.Helper.To_Any
                 (CORBA.Object.Ref
                    (PolyORB.CORBA_P.IR_Hooks.Get_Interface_Definition
                       (CORBA.To_CORBA_String
                          (Repository_Id)))));

         elsif (Operation_
            = "_domain_managers")
         then
            CORBA.ServerRequest.Arguments
              (Request,
               Argument_List_);
            CORBA.ServerRequest.Set_Result
              (Request,
               PolyORB.CORBA_P.Domain_Management.Get_Domain_Managers
                 (Self));

         elsif ((Operation_
            = "_non_existent")
            or else (Operation_
               = "_non_existent"))
         then
            CORBA.ServerRequest.Arguments
              (Request,
               Argument_List_);
            CORBA.ServerRequest.Set_Result
              (Request,
               CORBA.To_Any
                 (CORBA.Boolean'
                    (False)));

         else
            CORBA.Raise_Bad_Operation
              (CORBA.Default_Sys_Member);
         end if;
      exception
         when E : others =>
            CORBA.ServerRequest.Set_Exception
              (Request,
               PolyORB.CORBA_P.Exceptions.System_Exception_To_Any
                 (E));
            PolyORB.Qos.Exception_Informations.Set_Exception_Information
              (Request,
               E);
      end;
   end Invoke;

   function Servant_Is_A
     (Obj : PortableServer.Servant)
     return Boolean;

   ------------------
   -- Servant_Is_A --
   ------------------

   function Servant_Is_A
     (Obj : PortableServer.Servant)
     return Boolean
   is
   begin
      return (Obj.all
         in CosNotifyFilter.FilterAdmin.Impl.Object'Class);
   end Servant_Is_A;

   -----------------------------
   -- Deferred_Initialization --
   -----------------------------

   procedure Deferred_Initialization is
   begin
      PortableServer.Internals.Register_Skeleton
        (CosNotifyFilter.FilterAdmin.Repository_Id,
         Servant_Is_A'Access,
         Is_A'Access,
         Invoke'Access);
   end Deferred_Initialization;

begin
   declare
      use PolyORB.Utils.Strings;
      use PolyORB.Utils.Strings.Lists;
   begin
      PolyORB.Initialization.Register_Module
        (PolyORB.Initialization.Module_Info'
           (Name => +"CosNotifyFilter.FilterAdmin.Skel",
            Conflicts => PolyORB.Utils.Strings.Lists.Empty,
            Depends => PolyORB.Utils.Strings.Lists.Empty,
            Provides => PolyORB.Utils.Strings.Lists.Empty,
            Implicit => False,
            Init => Deferred_Initialization'Access,
            Shutdown => null));
   end;
end CosNotifyFilter.FilterAdmin.Skel;
