pragma Style_Checks ("NM32766");
---------------------------------------------------
--  This file has been generated automatically from
--  /build/buildd-polyorb_2.6.0~20090423-10-s390-w2Na2W/polyorb-2.6.0~20090423/idls/cos/notification/CosNotifyFilter.idl
--  by IAC (IDL to Ada Compiler) 2.6.0w (Debian release 20090423-10).
---------------------------------------------------
--  Do NOT hand-modify this file, as your
--  changes will be lost when you re-run the
--  IDL to Ada compiler.
---------------------------------------------------
with CosNotifyFilter.FilterFactory.Impl;
with CORBA;
pragma Elaborate_All (CORBA);
with PolyORB.Any;
with CORBA.NVList;
with CosNotifyFilter.Filter;
with CORBA.Object.Helper;
with CORBA.Object;
with CosNotifyFilter.Filter.Helper;
with CORBA.ServerRequest;
with CosNotifyFilter.Helper;
with CosNotifyFilter.MappingFilter;
with CosNotifyFilter.MappingFilter.Helper;
with PolyORB.CORBA_P.IR_Hooks;
with PolyORB.CORBA_P.Domain_Management;
with PortableServer;
with PolyORB.Std;
with CORBA.ORB;
with PolyORB.CORBA_P.Exceptions;
with PolyORB.Qos.Exception_Informations;
with PolyORB.Utils.Strings;
with PolyORB.Utils.Strings.Lists;
with PolyORB.Initialization;

package body CosNotifyFilter.FilterFactory.Skel is

   create_filter_Arg_Name_constraint_grammar_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("constraint_grammar");

   create_mapping_filter_Arg_Name_constraint_grammar_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("constraint_grammar");

   create_mapping_filter_Arg_Name_default_value_ : constant CORBA.Identifier :=
     CORBA.To_CORBA_String
        ("default_value");

   procedure Invoke
     (Self : PortableServer.Servant;
      Request : CORBA.ServerRequest.Object_Ptr);

   ------------
   -- Invoke --
   ------------

   procedure Invoke
     (Self : PortableServer.Servant;
      Request : CORBA.ServerRequest.Object_Ptr)
   is
      Operation_ : constant PolyORB.Std.String :=
        CORBA.To_Standard_String
           (CORBA.ServerRequest.Operation
              (Request.all));
      Argument_List_ : CORBA.NVList.Ref;
   begin
      CORBA.ORB.Create_List
        (0,
         Argument_List_);
      begin
         if (Operation_
            = "_is_a")
         then
            declare
               Type_Id_ : CORBA.String;
               Arg_Name_Type_Id_ : constant CORBA.Identifier :=
                 CORBA.To_CORBA_String
                    ("Type_Id_");
               Argument_Type_Id_ : constant CORBA.Any :=
                 CORBA.To_Any
                    (Type_Id_);
               Result_ : CORBA.Boolean;
            begin
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  Arg_Name_Type_Id_,
                  Argument_Type_Id_,
                  CORBA.ARG_IN);
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               Type_Id_ :=
                 CORBA.From_Any
                    (Argument_Type_Id_);
               Result_ :=
                 Is_A
                    (CORBA.To_Standard_String
                       (Type_Id_));
               CORBA.ServerRequest.Set_Result
                 (Request,
                  CORBA.To_Any
                    (Result_));
            end;
         elsif (Operation_
            = "create_filter")
         then
            declare
               Argument_constraint_grammar_ : CORBA.String;
               pragma Warnings (Off, Argument_constraint_grammar_);
               Arg_CC_constraint_grammar_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Wrap
                    (Argument_constraint_grammar_'Unrestricted_Access);
               Arg_Any_constraint_grammar_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CORBA.TC_String,
                     Arg_CC_constraint_grammar_'Unchecked_Access);
               Result_ : CosNotifyFilter.Filter.Ref;
               pragma Warnings (Off, Result_);
               Arg_CC_Result__ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Object.Helper.Wrap
                    (CORBA.Object.Ref
                       (Result_)'Unrestricted_Access);
               Arg_Any_Result__ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosNotifyFilter.Filter.Helper.TC_Filter,
                     Arg_CC_Result__'Unchecked_Access);
            begin
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  create_filter_Arg_Name_constraint_grammar_,
                  Arg_Any_constraint_grammar_,
                  CORBA.ARG_IN);
               --  Processing request
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               begin
                  --  Call Implementation
                  Result_ :=
                    CosNotifyFilter.FilterFactory.Impl.create_filter
                       (CosNotifyFilter.FilterFactory.Impl.Object'Class
                          (Self.all)'Access,
                        Argument_constraint_grammar_);
               exception
                  when E : CosNotifyFilter.InvalidGrammar =>
                     declare
                        Members : CosNotifyFilter.InvalidGrammar_Members;
                     begin
                        CosNotifyFilter.Get_Members
                          (E,
                           Members);
                        CORBA.ServerRequest.Set_Exception
                          (Request,
                           CosNotifyFilter.Helper.To_Any
                             (Members));
                        return;
                     end;
               end;
               --  Setting the result
               CORBA.ServerRequest.Set_Result
                 (Request,
                  Arg_Any_Result__);
               CORBA.NVList.Internals.Clone_Out_Args
                 (Argument_List_);
            end;
         elsif (Operation_
            = "create_mapping_filter")
         then
            declare
               Argument_constraint_grammar_ : CORBA.String;
               pragma Warnings (Off, Argument_constraint_grammar_);
               Arg_CC_constraint_grammar_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Wrap
                    (Argument_constraint_grammar_'Unrestricted_Access);
               Arg_Any_constraint_grammar_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CORBA.TC_String,
                     Arg_CC_constraint_grammar_'Unchecked_Access);
               Argument_default_value_ : CORBA.Any;
               pragma Warnings (Off, Argument_default_value_);
               Arg_CC_default_value_ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Wrap
                    (Argument_default_value_'Unrestricted_Access);
               Arg_Any_default_value_ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CORBA.TC_Any,
                     Arg_CC_default_value_'Unchecked_Access);
               Result_ : CosNotifyFilter.MappingFilter.Ref;
               pragma Warnings (Off, Result_);
               Arg_CC_Result__ : aliased PolyORB.Any.Content'Class :=
                 CORBA.Object.Helper.Wrap
                    (CORBA.Object.Ref
                       (Result_)'Unrestricted_Access);
               Arg_Any_Result__ : constant CORBA.Any :=
                 CORBA.Internals.Get_Wrapper_Any
                    (CosNotifyFilter.MappingFilter.Helper.TC_MappingFilter,
                     Arg_CC_Result__'Unchecked_Access);
            begin
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  create_mapping_filter_Arg_Name_constraint_grammar_,
                  Arg_Any_constraint_grammar_,
                  CORBA.ARG_IN);
               CORBA.NVList.Add_Item
                 (Argument_List_,
                  create_mapping_filter_Arg_Name_default_value_,
                  Arg_Any_default_value_,
                  CORBA.ARG_IN);
               --  Processing request
               CORBA.ServerRequest.Arguments
                 (Request,
                  Argument_List_);
               begin
                  --  Call Implementation
                  Result_ :=
                    CosNotifyFilter.FilterFactory.Impl.create_mapping_filter
                       (CosNotifyFilter.FilterFactory.Impl.Object'Class
                          (Self.all)'Access,
                        Argument_constraint_grammar_,
                        Argument_default_value_);
               exception
                  when E : CosNotifyFilter.InvalidGrammar =>
                     declare
                        Members : CosNotifyFilter.InvalidGrammar_Members;
                     begin
                        CosNotifyFilter.Get_Members
                          (E,
                           Members);
                        CORBA.ServerRequest.Set_Exception
                          (Request,
                           CosNotifyFilter.Helper.To_Any
                             (Members));
                        return;
                     end;
               end;
               --  Setting the result
               CORBA.ServerRequest.Set_Result
                 (Request,
                  Arg_Any_Result__);
               CORBA.NVList.Internals.Clone_Out_Args
                 (Argument_List_);
            end;
         elsif (Operation_
            = "_interface")
         then
            CORBA.ServerRequest.Arguments
              (Request,
               Argument_List_);
            CORBA.ServerRequest.Set_Result
              (Request,
               CORBA.Object.Helper.To_Any
                 (CORBA.Object.Ref
                    (PolyORB.CORBA_P.IR_Hooks.Get_Interface_Definition
                       (CORBA.To_CORBA_String
                          (Repository_Id)))));

         elsif (Operation_
            = "_domain_managers")
         then
            CORBA.ServerRequest.Arguments
              (Request,
               Argument_List_);
            CORBA.ServerRequest.Set_Result
              (Request,
               PolyORB.CORBA_P.Domain_Management.Get_Domain_Managers
                 (Self));

         elsif ((Operation_
            = "_non_existent")
            or else (Operation_
               = "_non_existent"))
         then
            CORBA.ServerRequest.Arguments
              (Request,
               Argument_List_);
            CORBA.ServerRequest.Set_Result
              (Request,
               CORBA.To_Any
                 (CORBA.Boolean'
                    (False)));

         else
            CORBA.Raise_Bad_Operation
              (CORBA.Default_Sys_Member);
         end if;
      exception
         when E : others =>
            CORBA.ServerRequest.Set_Exception
              (Request,
               PolyORB.CORBA_P.Exceptions.System_Exception_To_Any
                 (E));
            PolyORB.Qos.Exception_Informations.Set_Exception_Information
              (Request,
               E);
      end;
   end Invoke;

   function Servant_Is_A
     (Obj : PortableServer.Servant)
     return Boolean;

   ------------------
   -- Servant_Is_A --
   ------------------

   function Servant_Is_A
     (Obj : PortableServer.Servant)
     return Boolean
   is
   begin
      return (Obj.all
         in CosNotifyFilter.FilterFactory.Impl.Object'Class);
   end Servant_Is_A;

   -----------------------------
   -- Deferred_Initialization --
   -----------------------------

   procedure Deferred_Initialization is
   begin
      PortableServer.Internals.Register_Skeleton
        (CosNotifyFilter.FilterFactory.Repository_Id,
         Servant_Is_A'Access,
         Is_A'Access,
         Invoke'Access);
   end Deferred_Initialization;

begin
   declare
      use PolyORB.Utils.Strings;
      use PolyORB.Utils.Strings.Lists;
   begin
      PolyORB.Initialization.Register_Module
        (PolyORB.Initialization.Module_Info'
           (Name => +"CosNotifyFilter.FilterFactory.Skel",
            Conflicts => PolyORB.Utils.Strings.Lists.Empty,
            Depends => PolyORB.Utils.Strings.Lists.Empty,
            Provides => PolyORB.Utils.Strings.Lists.Empty,
            Implicit => False,
            Init => Deferred_Initialization'Access,
            Shutdown => null));
   end;
end CosNotifyFilter.FilterFactory.Skel;
