pragma Style_Checks ("NM32766");
---------------------------------------------------
--  This file has been generated automatically from
--  /build/buildd-polyorb_2.6.0~20090423-10-s390-w2Na2W/polyorb-2.6.0~20090423/idls/cos/notification/CosNotifyFilter.idl
--  by IAC (IDL to Ada Compiler) 2.6.0w (Debian release 20090423-10).
---------------------------------------------------
--  Do NOT hand-modify this file, as your
--  changes will be lost when you re-run the
--  IDL to Ada compiler.
---------------------------------------------------
with PolyORB.Std;
with CORBA;
pragma Elaborate_All (CORBA);
with CosNotification;
with CORBA.Sequences.Unbounded;
with Ada.Exceptions;

package CosNotifyFilter is

   Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter:1.0";

   type ConstraintID is
     new CORBA.Long;

   ConstraintID_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/ConstraintID:1.0";

   type ConstraintExp is
     record
         event_types : CosNotification.EventTypeSeq;
         constraint_expr : CORBA.String;
      end record;

   ConstraintExp_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/ConstraintExp:1.0";

   package IDL_SEQUENCE_CosNotifyFilter_ConstraintID is
     new CORBA.Sequences.Unbounded
        (CosNotifyFilter.ConstraintID);

   type ConstraintIDSeq is
     new CosNotifyFilter.IDL_SEQUENCE_CosNotifyFilter_ConstraintID.Sequence;

   ConstraintIDSeq_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/ConstraintIDSeq:1.0";

   package IDL_SEQUENCE_CosNotifyFilter_ConstraintExp is
     new CORBA.Sequences.Unbounded
        (CosNotifyFilter.ConstraintExp);

   type ConstraintExpSeq is
     new CosNotifyFilter.IDL_SEQUENCE_CosNotifyFilter_ConstraintExp.Sequence;

   ConstraintExpSeq_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/ConstraintExpSeq:1.0";

   type ConstraintInfo is
     record
         constraint_expression : CosNotifyFilter.ConstraintExp;
         constraint_id : CosNotifyFilter.ConstraintID;
      end record;

   ConstraintInfo_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/ConstraintInfo:1.0";

   package IDL_SEQUENCE_CosNotifyFilter_ConstraintInfo is
     new CORBA.Sequences.Unbounded
        (CosNotifyFilter.ConstraintInfo);

   type ConstraintInfoSeq is
     new CosNotifyFilter.IDL_SEQUENCE_CosNotifyFilter_ConstraintInfo.Sequence;

   ConstraintInfoSeq_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/ConstraintInfoSeq:1.0";

   type MappingConstraintPair is
     record
         constraint_expression : CosNotifyFilter.ConstraintExp;
         result_to_set : CORBA.Any;
      end record;

   MappingConstraintPair_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/MappingConstraintPair:1.0";

   package IDL_SEQUENCE_CosNotifyFilter_MappingConstraintPair is
     new CORBA.Sequences.Unbounded
        (CosNotifyFilter.MappingConstraintPair);

   type MappingConstraintPairSeq is
     new CosNotifyFilter.IDL_SEQUENCE_CosNotifyFilter_MappingConstraintPair.Sequence;

   MappingConstraintPairSeq_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/MappingConstraintPairSeq:1.0";

   type MappingConstraintInfo is
     record
         constraint_expression : CosNotifyFilter.ConstraintExp;
         constraint_id : CosNotifyFilter.ConstraintID;
         value : CORBA.Any;
      end record;

   MappingConstraintInfo_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/MappingConstraintInfo:1.0";

   package IDL_SEQUENCE_CosNotifyFilter_MappingConstraintInfo is
     new CORBA.Sequences.Unbounded
        (CosNotifyFilter.MappingConstraintInfo);

   type MappingConstraintInfoSeq is
     new CosNotifyFilter.IDL_SEQUENCE_CosNotifyFilter_MappingConstraintInfo.Sequence;

   MappingConstraintInfoSeq_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/MappingConstraintInfoSeq:1.0";

   type CallbackID is
     new CORBA.Long;

   CallbackID_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/CallbackID:1.0";

   package IDL_SEQUENCE_CosNotifyFilter_CallbackID is
     new CORBA.Sequences.Unbounded
        (CosNotifyFilter.CallbackID);

   type CallbackIDSeq is
     new CosNotifyFilter.IDL_SEQUENCE_CosNotifyFilter_CallbackID.Sequence;

   CallbackIDSeq_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/CallbackIDSeq:1.0";

   UnsupportedFilterableData : exception;

   type UnsupportedFilterableData_Members is
     new CORBA.Idl_Exception_Members with null record;

   UnsupportedFilterableData_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/UnsupportedFilterableData:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyFilter.UnsupportedFilterableData_Members);

   InvalidGrammar : exception;

   type InvalidGrammar_Members is
     new CORBA.Idl_Exception_Members with null record;

   InvalidGrammar_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/InvalidGrammar:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyFilter.InvalidGrammar_Members);

   InvalidConstraint : exception;

   type InvalidConstraint_Members is
     new CORBA.Idl_Exception_Members with record
         constr : CosNotifyFilter.ConstraintExp;
      end record;

   InvalidConstraint_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/InvalidConstraint:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyFilter.InvalidConstraint_Members);

   DuplicateConstraintID : exception;

   type DuplicateConstraintID_Members is
     new CORBA.Idl_Exception_Members with record
         id : CosNotifyFilter.ConstraintID;
      end record;

   DuplicateConstraintID_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/DuplicateConstraintID:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyFilter.DuplicateConstraintID_Members);

   ConstraintNotFound : exception;

   type ConstraintNotFound_Members is
     new CORBA.Idl_Exception_Members with record
         id : CosNotifyFilter.ConstraintID;
      end record;

   ConstraintNotFound_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/ConstraintNotFound:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyFilter.ConstraintNotFound_Members);

   CallbackNotFound : exception;

   type CallbackNotFound_Members is
     new CORBA.Idl_Exception_Members with null record;

   CallbackNotFound_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/CallbackNotFound:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyFilter.CallbackNotFound_Members);

   InvalidValue : exception;

   type InvalidValue_Members is
     new CORBA.Idl_Exception_Members with record
         constr : CosNotifyFilter.ConstraintExp;
         value : CORBA.Any;
      end record;

   InvalidValue_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/InvalidValue:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyFilter.InvalidValue_Members);

   type FilterID is
     new CORBA.Long;

   FilterID_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/FilterID:1.0";

   package IDL_SEQUENCE_CosNotifyFilter_FilterID is
     new CORBA.Sequences.Unbounded
        (CosNotifyFilter.FilterID);

   type FilterIDSeq is
     new CosNotifyFilter.IDL_SEQUENCE_CosNotifyFilter_FilterID.Sequence;

   FilterIDSeq_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/FilterIDSeq:1.0";

   FilterNotFound : exception;

   type FilterNotFound_Members is
     new CORBA.Idl_Exception_Members with null record;

   FilterNotFound_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CosNotifyFilter/FilterNotFound:1.0";

   procedure Get_Members
     (From : Ada.Exceptions.Exception_Occurrence;
      To : out CosNotifyFilter.FilterNotFound_Members);

end CosNotifyFilter;
