pragma Style_Checks ("NM32766");
---------------------------------------------------
--  This file has been generated automatically from
--  /build/buildd-polyorb_2.6.0~20090423-10-s390-w2Na2W/polyorb-2.6.0~20090423/idls/Interop/CSIIOP.idl
--  by IAC (IDL to Ada Compiler) 2.6.0w (Debian release 20090423-10).
---------------------------------------------------
--  Do NOT hand-modify this file, as your
--  changes will be lost when you re-run the
--  IDL to Ada compiler.
---------------------------------------------------
with PolyORB.Std;
with CORBA;
pragma Elaborate_All (CORBA);
with CORBA.Sequences.Unbounded;
with CSI;
with IOP;

package CSIIOP is

   Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP:1.0";

   type AssociationOptions is
     new CORBA.Unsigned_Short;

   AssociationOptions_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/AssociationOptions:1.0";

   NoProtection : constant CSIIOP.AssociationOptions :=
     1;

   Integrity : constant CSIIOP.AssociationOptions :=
     2;

   Confidentiality : constant CSIIOP.AssociationOptions :=
     4;

   DetectReplay : constant CSIIOP.AssociationOptions :=
     8;

   DetectMisordering : constant CSIIOP.AssociationOptions :=
     16;

   EstablishTrustInTarget : constant CSIIOP.AssociationOptions :=
     32;

   EstablishTrustInClient : constant CSIIOP.AssociationOptions :=
     64;

   NoDelegation : constant CSIIOP.AssociationOptions :=
     128;

   SimpleDelegation : constant CSIIOP.AssociationOptions :=
     256;

   CompositeDelegation : constant CSIIOP.AssociationOptions :=
     512;

   IdentityAssertion : constant CSIIOP.AssociationOptions :=
     1024;

   DelegationByClient : constant CSIIOP.AssociationOptions :=
     2048;

   type ServiceConfigurationSyntax is
     new CORBA.Unsigned_Long;

   ServiceConfigurationSyntax_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/ServiceConfigurationSyntax:1.0";

   SCS_GeneralNames : constant CSIIOP.ServiceConfigurationSyntax :=
     324816;

   SCS_GSSExportedName : constant CSIIOP.ServiceConfigurationSyntax :=
     324817;

   package IDL_SEQUENCE_octet is
     new CORBA.Sequences.Unbounded
        (CORBA.Octet);

   type ServiceSpecificName is
     new CSIIOP.IDL_SEQUENCE_octet.Sequence;

   ServiceSpecificName_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/ServiceSpecificName:1.0";

   type ServiceConfiguration is
     record
         syntax : CSIIOP.ServiceConfigurationSyntax;
         name : CSIIOP.ServiceSpecificName;
      end record;

   ServiceConfiguration_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/ServiceConfiguration:1.0";

   package IDL_SEQUENCE_CSIIOP_ServiceConfiguration is
     new CORBA.Sequences.Unbounded
        (CSIIOP.ServiceConfiguration);

   type ServiceConfigurationList is
     new CSIIOP.IDL_SEQUENCE_CSIIOP_ServiceConfiguration.Sequence;

   ServiceConfigurationList_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/ServiceConfigurationList:1.0";

   type AS_ContextSec is
     record
         target_supports : CSIIOP.AssociationOptions;
         target_requires : CSIIOP.AssociationOptions;
         client_authentication_mech : CSI.OID;
         target_name : CSI.GSS_NT_ExportedName;
      end record;

   AS_ContextSec_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/AS_ContextSec:1.0";

   type SAS_ContextSec is
     record
         target_supports : CSIIOP.AssociationOptions;
         target_requires : CSIIOP.AssociationOptions;
         privilege_authorities : CSIIOP.ServiceConfigurationList;
         supported_naming_mechanisms : CSI.OIDList;
         supported_identity_types : CSI.IdentityTokenType;
      end record;

   SAS_ContextSec_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/SAS_ContextSec:1.0";

   type CompoundSecMech is
     record
         target_requires : CSIIOP.AssociationOptions;
         transport_mech : IOP.TaggedComponent;
         as_context_mech : CSIIOP.AS_ContextSec;
         sas_context_mech : CSIIOP.SAS_ContextSec;
      end record;

   CompoundSecMech_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/CompoundSecMech:1.0";

   package IDL_SEQUENCE_CSIIOP_CompoundSecMech is
     new CORBA.Sequences.Unbounded
        (CSIIOP.CompoundSecMech);

   type CompoundSecMechanisms is
     new CSIIOP.IDL_SEQUENCE_CSIIOP_CompoundSecMech.Sequence;

   CompoundSecMechanisms_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/CompoundSecMechanisms:1.0";

   type CompoundSecMechList is
     record
         stateful : CORBA.Boolean;
         mechanism_list : CSIIOP.CompoundSecMechanisms;
      end record;

   CompoundSecMechList_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/CompoundSecMechList:1.0";

   type TransportAddress is
     record
         host_name : CORBA.String;
         port : CORBA.Unsigned_Short;
      end record;

   TransportAddress_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/TransportAddress:1.0";

   package IDL_SEQUENCE_CSIIOP_TransportAddress is
     new CORBA.Sequences.Unbounded
        (CSIIOP.TransportAddress);

   type TransportAddressList is
     new CSIIOP.IDL_SEQUENCE_CSIIOP_TransportAddress.Sequence;

   TransportAddressList_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/TransportAddressList:1.0";

   TAG_SECIOP_SEC_TRANS : constant IOP.ComponentId :=
     35;

   type SECIOP_SEC_TRANS is
     record
         target_supports : CSIIOP.AssociationOptions;
         target_requires : CSIIOP.AssociationOptions;
         mech_oid : CSI.OID;
         target_name : CSI.GSS_NT_ExportedName;
         addresses : CSIIOP.TransportAddressList;
      end record;

   SECIOP_SEC_TRANS_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/SECIOP_SEC_TRANS:1.0";

   TAG_TLS_SEC_TRANS : constant IOP.ComponentId :=
     36;

   type TLS_SEC_TRANS is
     record
         target_supports : CSIIOP.AssociationOptions;
         target_requires : CSIIOP.AssociationOptions;
         addresses : CSIIOP.TransportAddressList;
      end record;

   TLS_SEC_TRANS_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/CSIIOP/TLS_SEC_TRANS:1.0";

end CSIIOP;
