pragma Style_Checks ("NM32766");
---------------------------------------------------
--  This file has been generated automatically from
--  /build/buildd-polyorb_2.6.0~20090423-10-s390-w2Na2W/polyorb-2.6.0~20090423/idls/Interop/GSSUP.idl
--  by IAC (IDL to Ada Compiler) 2.6.0w (Debian release 20090423-10).
---------------------------------------------------
--  Do NOT hand-modify this file, as your
--  changes will be lost when you re-run the
--  IDL to Ada compiler.
---------------------------------------------------
with PolyORB.Std;
with CSI;
with CORBA;
pragma Elaborate_All (CORBA);

package GSSUP is

   Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/GSSUP:1.0";

   GSSUPMechOID : constant CSI.StringOID :=
     CSI.To_CORBA_String
        ("oid:2.23.130.1.1.1");

   type InitialContextToken is
     record
         username : CSI.UTF8String;
         password : CSI.UTF8String;
         target_name : CSI.GSS_NT_ExportedName;
      end record;

   InitialContextToken_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/GSSUP/InitialContextToken:1.0";

   type ErrorCode is
     new CORBA.Unsigned_Long;

   ErrorCode_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/GSSUP/ErrorCode:1.0";

   type ErrorToken is
     record
         error_code : GSSUP.ErrorCode;
      end record;

   ErrorToken_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/GSSUP/ErrorToken:1.0";

   GSS_UP_S_G_UNSPECIFIED : constant GSSUP.ErrorCode :=
     1;

   GSS_UP_S_G_NOUSER : constant GSSUP.ErrorCode :=
     2;

   GSS_UP_S_G_BAD_PASSWORD : constant GSSUP.ErrorCode :=
     3;

   GSS_UP_S_G_BAD_TARGET : constant GSSUP.ErrorCode :=
     4;

end GSSUP;
