pragma Style_Checks ("NM32766");
---------------------------------------------------
--  This file has been generated automatically from
--  /build/buildd-polyorb_2.6.0~20090423-10-s390-w2Na2W/polyorb-2.6.0~20090423/idls/Misc/Messaging.idl
--  by IAC (IDL to Ada Compiler) 2.6.0w (Debian release 20090423-10).
---------------------------------------------------
--  Do NOT hand-modify this file, as your
--  changes will be lost when you re-run the
--  IDL to Ada compiler.
---------------------------------------------------
with PolyORB.Std;
with CORBA;
pragma Elaborate_All (CORBA);
with CORBA.Sequences.Unbounded;

package Messaging is

   Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/Messaging:1.0";

   type RebindMode is
     new CORBA.Short;

   RebindMode_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/Messaging/RebindMode:1.0";

   TRANSPARENT : constant Messaging.RebindMode :=
     0;

   NO_REBIND : constant Messaging.RebindMode :=
     1;

   NO_RECONNECT : constant Messaging.RebindMode :=
     2;

   type SyncScope is
     new CORBA.Short;

   SyncScope_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/Messaging/SyncScope:1.0";

   SYNC_NONE : constant Messaging.SyncScope :=
     0;

   SYNC_WITH_TRANSPORT : constant Messaging.SyncScope :=
     1;

   SYNC_WITH_SERVER : constant Messaging.SyncScope :=
     2;

   SYNC_WITH_TARGET : constant Messaging.SyncScope :=
     3;

   type RoutingType is
     new CORBA.Short;

   RoutingType_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/Messaging/RoutingType:1.0";

   ROUTE_NONE : constant Messaging.RoutingType :=
     0;

   ROUTE_FORWARD : constant Messaging.RoutingType :=
     1;

   ROUTE_STORE_AND_FORWARD : constant Messaging.RoutingType :=
     2;

   type Priority is
     new CORBA.Short;

   Priority_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/Messaging/Priority:1.0";

   type Ordering is
     new CORBA.Unsigned_Short;

   Ordering_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/Messaging/Ordering:1.0";

   ORDER_ANY : constant Messaging.Ordering :=
     16#1#;

   ORDER_TEMPORAL : constant Messaging.Ordering :=
     16#2#;

   ORDER_PRIORITY : constant Messaging.Ordering :=
     16#4#;

   ORDER_DEADLINE : constant Messaging.Ordering :=
     16#8#;

   REBIND_POLICY_TYPE : constant CORBA.PolicyType :=
     23;

   SYNC_SCOPE_POLICY_TYPE : constant CORBA.PolicyType :=
     24;

   REQUEST_PRIORITY_POLICY_TYPE : constant CORBA.PolicyType :=
     25;

   type PriorityRange is
     record
         min : Messaging.Priority;
         max : Messaging.Priority;
      end record;

   PriorityRange_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/Messaging/PriorityRange:1.0";

   REPLY_PRIORITY_POLICY_TYPE : constant CORBA.PolicyType :=
     26;

   REQUEST_START_TIME_POLICY_TYPE : constant CORBA.PolicyType :=
     27;

   REQUEST_END_TIME_POLICY_TYPE : constant CORBA.PolicyType :=
     28;

   REPLY_START_TIME_POLICY_TYPE : constant CORBA.PolicyType :=
     29;

   REPLY_END_TIME_POLICY_TYPE : constant CORBA.PolicyType :=
     30;

   RELATIVE_REQ_TIMEOUT_POLICY_TYPE : constant CORBA.PolicyType :=
     31;

   RELATIVE_RT_TIMEOUT_POLICY_TYPE : constant CORBA.PolicyType :=
     32;

   ROUTING_POLICY_TYPE : constant CORBA.PolicyType :=
     33;

   type RoutingTypeRange is
     record
         min : Messaging.RoutingType;
         max : Messaging.RoutingType;
      end record;

   RoutingTypeRange_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/Messaging/RoutingTypeRange:1.0";

   MAX_HOPS_POLICY_TYPE : constant CORBA.PolicyType :=
     34;

   QUEUE_ORDER_POLICY_TYPE : constant CORBA.PolicyType :=
     35;

   package IDL_SEQUENCE_octet is
     new CORBA.Sequences.Unbounded
        (CORBA.Octet);

   type IDL_AT_Sequence_octet is
     new Messaging.IDL_SEQUENCE_octet.Sequence;

   IDL_AT_Sequence_octet_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/Messaging/IDL_AT_Sequence_octet:1.0";

   type PolicyValue is
     record
         ptype : CORBA.PolicyType;
         pvalue : Messaging.IDL_AT_Sequence_octet;
      end record;

   PolicyValue_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/Messaging/PolicyValue:1.0";

   package IDL_SEQUENCE_Messaging_PolicyValue is
     new CORBA.Sequences.Unbounded
        (Messaging.PolicyValue);

   type PolicyValueSeq is
     new Messaging.IDL_SEQUENCE_Messaging_PolicyValue.Sequence;

   PolicyValueSeq_Repository_Id : constant PolyORB.Std.String :=
     "IDL:omg.org/Messaging/PolicyValueSeq:1.0";

end Messaging;
